<?php

if ( !defined('REDBLOG') )
{
	die("Permission denied");
}

//
// addslashes to vars if magic_quotes_gpc is off
// this is a security precaution to prevent someone
// trying to break out of a SQL statement.
//
if( !get_magic_quotes_gpc() )
{
	if( is_array($_GET) )
	{
		while( list($k, $v) = each($_GET) )
		{
			if( is_array($_GET[$k]) )
			{
				while( list($k2, $v2) = each($_GET[$k]) )
				{
					$_GET[$k][$k2] = addslashes($v2);
				}
				@reset($_GET[$k]);
			}
			else
			{
				$_GET[$k] = addslashes($v);
			}
		}
		@reset($_GET);
	}

	if( is_array($_POST) )
	{
		while( list($k, $v) = each($_POST) )
		{
			if( is_array($_POST[$k]) )
			{
				while( list($k2, $v2) = each($_POST[$k]) )
				{
					$_POST[$k][$k2] = addslashes($v2);
				}
				@reset($_POST[$k]);
			}
			else
			{
				$_POST[$k] = addslashes($v);
			}
		}
		@reset($_POST);
	}

	if( is_array($_COOKIE) )
	{
		while( list($k, $v) = each($_COOKIE) )
		{
			if( is_array($_COOKIE[$k]) )
			{
				while( list($k2, $v2) = each($_COOKIE[$k]) )
				{
					$_COOKIE[$k][$k2] = addslashes($v2);
				}
				@reset($_COOKIE[$k]);
			}
			else
			{
				$_COOKIE[$k] = addslashes($v);
			}
		}
		@reset($_COOKIE);
	}
}

require_once($root_path . 'config.php');

require_once($root_path . 'includes/constants.php');
require_once($root_path . 'includes/template.php');
require_once($root_path . 'includes/db.php');



// Read configurations table
$config = array();
$sql = "SELECT * FROM " . CONFIG_TABLE;

if( !($result = $db->sql_query($sql)) )
{
	die("Can't query config table ".$sql);
}

while ( $row = $db->sql_fetchrow($result) )
{
	$config[$row['config_name']] = $row['config_value'];
}

// please do not remove this anyway also if you use another language
// becouse if the translation to other languages is not complete the 
// corrispondent part in english version will be used
require_once($root_path . 'lang/english.php');

// Load the language file
require_once($root_path . 'lang/' . $config['language'] . '.php');


// In html directory I have templates
$template = new Template($root_path . 'html/' . $config['template']);


// Load stats lib and instantiate the stats class
require_once($root_path . 'includes/stats.php');
$stats = new Stats($db, $config['time_difference']); // stats class need db object to store data into database

// Load online users class
require_once($root_path . 'includes/online_users.php');
$online_users = new OnlineUsers($db);

?>
