# phpMyAdmin MySQL-Dump
# version 2.5.0
# http://www.phpmyadmin.net/ (download page)
#
# Host: localhost
# Generato il: 08 Ott, 2004 at 11:32 
# Versione MySQL: 3.23.58
# Versione PHP: 4.3.4
# Database : `redblog`
# --------------------------------------------------------

#
# Struttura della tabella `red_comments`
#
# Creazione: 08 Ott, 2004 at 11:38 
# Ultimo cambiamento: 08 Ott, 2004 at 11:27 
#

DROP TABLE IF EXISTS `red_comments`;
CREATE TABLE `red_comments` (
  `comment_id` int(12) NOT NULL auto_increment,
  `post_id` int(12) NOT NULL default '0',
  `comment_title` varchar(255) NOT NULL default '',
  `poster_name` varchar(255) NOT NULL default '',
  `poster_email` varchar(255) NOT NULL default '',
  `poster_website` varchar(255) NOT NULL default '',
  `post_time` int(11) NOT NULL default '0',
  `poster_ip` varchar(16) NOT NULL default '',
  `comment_text` text NOT NULL,
  PRIMARY KEY  (`comment_id`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

#
# Dump dei dati per la tabella `red_comments`
#

# --------------------------------------------------------

#
# Struttura della tabella `red_config`
#
# Creazione: 08 Ott, 2004 at 11:38 
# Ultimo cambiamento: 08 Ott, 2004 at 11:23 
#

DROP TABLE IF EXISTS `red_config`;
CREATE TABLE `red_config` (
  `config_name` varchar(255) NOT NULL default '',
  `config_value` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`config_name`)
) TYPE=MyISAM;

#
# Dump dei dati per la tabella `red_config`
#

INSERT INTO `red_config` VALUES ('posts_per_page', '5');
INSERT INTO `red_config` VALUES ('comments_per_page', '5');
INSERT INTO `red_config` VALUES ('thumbnail_size', '125');
INSERT INTO `red_config` VALUES ('thumbnail_quality', '85');
INSERT INTO `red_config` VALUES ('site_name', 'RedBLoG');
INSERT INTO `red_config` VALUES ('language', 'english');
INSERT INTO `red_config` VALUES ('template', 'snaigun');
INSERT INTO `red_config` VALUES ('allow_ftp', '0');
INSERT INTO `red_config` VALUES ('ftp_server', 'localhost');
INSERT INTO `red_config` VALUES ('ftp_user', 'none');
INSERT INTO `red_config` VALUES ('ftp_password', 'none');
INSERT INTO `red_config` VALUES ('redblog_home_path', 'none');
INSERT INTO `red_config` VALUES ('time_difference', '0');
INSERT INTO `red_config` VALUES ('date_format', 'j - M - y @ H:i');
# --------------------------------------------------------

#
# Struttura della tabella `red_files`
#
# Creazione: 08 Ott, 2004 at 11:38 
# Ultimo cambiamento: 08 Ott, 2004 at 11:38 
#

DROP TABLE IF EXISTS `red_files`;
CREATE TABLE `red_files` (
  `file_id` int(11) NOT NULL auto_increment,
  `real_filename` varchar(255) NOT NULL default '',
  `download_count` int(11) NOT NULL default '0',
  `file_size` int(22) NOT NULL default '0',
  `upload_time` int(11) NOT NULL default '0',
  `file_desc` text NOT NULL,
  `mimetype` varchar(100) NOT NULL default '',
  `cat_id` int(11) NOT NULL default '0',
  PRIMARY KEY  (`file_id`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

#
# Dump dei dati per la tabella `red_files`
#

# --------------------------------------------------------

#
# Struttura della tabella `red_files_cat`
#
# Creazione: 08 Ott, 2004 at 11:38 
# Ultimo cambiamento: 08 Ott, 2004 at 11:38 
#

DROP TABLE IF EXISTS `red_files_cat`;
CREATE TABLE `red_files_cat` (
  `cat_id` int(11) NOT NULL auto_increment,
  `cat_title` varchar(100) NOT NULL default '',
  `cat_desc` text NOT NULL,
  `cat_files_count` int(11) NOT NULL default '0',
  PRIMARY KEY  (`cat_id`)
) TYPE=MyISAM AUTO_INCREMENT=2 ;

#
# Dump dei dati per la tabella `red_files_cat`
#

INSERT INTO `red_files_cat` VALUES (1, 'Test category', 'This is a test category for files upload', 0);
# --------------------------------------------------------

#
# Struttura della tabella `red_online_users`
#
# Creazione: 08 Ott, 2004 at 11:31 
# Ultimo cambiamento: 08 Ott, 2004 at 11:31 
#

DROP TABLE IF EXISTS `red_online_users`;
CREATE TABLE `red_online_users` (
  `id` int(12) NOT NULL auto_increment,
  `ip` varchar(16) NOT NULL default '',
  `time` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

#
# Dump dei dati per la tabella `red_online_users`
#

# --------------------------------------------------------

#
# Struttura della tabella `red_picture_comments`
#
# Creazione: 08 Ott, 2004 at 11:38 
# Ultimo cambiamento: 08 Ott, 2004 at 11:27 
#

DROP TABLE IF EXISTS `red_picture_comments`;
CREATE TABLE `red_picture_comments` (
  `comment_id` int(12) NOT NULL auto_increment,
  `pic_id` int(12) NOT NULL default '0',
  `comment_title` varchar(255) NOT NULL default '',
  `poster_name` varchar(255) NOT NULL default '',
  `poster_email` varchar(255) NOT NULL default '',
  `poster_website` varchar(255) NOT NULL default '',
  `post_time` int(11) NOT NULL default '0',
  `poster_ip` varchar(16) NOT NULL default '',
  `comment_text` text NOT NULL,
  PRIMARY KEY  (`comment_id`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

#
# Dump dei dati per la tabella `red_picture_comments`
#

# --------------------------------------------------------

#
# Struttura della tabella `red_pictures`
#
# Creazione: 08 Ott, 2004 at 11:38 
# Ultimo cambiamento: 08 Ott, 2004 at 11:27 
#

DROP TABLE IF EXISTS `red_pictures`;
CREATE TABLE `red_pictures` (
  `pic_id` int(11) NOT NULL auto_increment,
  `pic_title` varchar(255) NOT NULL default '',
  `pic_time` int(11) NOT NULL default '0',
  `pic_view_count` int(11) NOT NULL default '0',
  `pic_filename` varchar(255) NOT NULL default '',
  `pic_comments` int(11) NOT NULL default '0',
  `cat_id` int(11) NOT NULL default '0',
  PRIMARY KEY  (`pic_id`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

#
# Dump dei dati per la tabella `red_pictures`
#

# --------------------------------------------------------

#
# Struttura della tabella `red_pictures_cat`
#
# Creazione: 08 Ott, 2004 at 11:38 
# Ultimo cambiamento: 08 Ott, 2004 at 11:27 
#

DROP TABLE IF EXISTS `red_pictures_cat`;
CREATE TABLE `red_pictures_cat` (
  `cat_id` int(11) NOT NULL auto_increment,
  `cat_title` varchar(100) NOT NULL default '',
  `cat_desc` text NOT NULL,
  `cat_files_count` int(11) NOT NULL default '0',
  PRIMARY KEY  (`cat_id`)
) TYPE=MyISAM AUTO_INCREMENT=2 ;

#
# Dump dei dati per la tabella `red_pictures_cat`
#

INSERT INTO `red_pictures_cat` VALUES (1, 'Test category', 'This is a test category for picture upload', 0);
# --------------------------------------------------------

#
# Struttura della tabella `red_posts`
#
# Creazione: 08 Ott, 2004 at 11:38 
# Ultimo cambiamento: 08 Ott, 2004 at 11:29 
#

DROP TABLE IF EXISTS `red_posts`;
CREATE TABLE `red_posts` (
  `post_id` int(12) NOT NULL auto_increment,
  `post_title` varchar(255) NOT NULL default '',
  `post_text` text NOT NULL,
  `post_time` int(11) NOT NULL default '0',
  `post_comments` int(11) NOT NULL default '0',
  `cat_id` int(11) NOT NULL default '0',
  PRIMARY KEY  (`post_id`)
) TYPE=MyISAM AUTO_INCREMENT=2 ;

#
# Dump dei dati per la tabella `red_posts`
#

INSERT INTO `red_posts` VALUES (1, 'Test post', 'Happy blogging with this new version of RedBLoG :green:', 1097270850, 0, 1);
# --------------------------------------------------------

#
# Struttura della tabella `red_posts_cat`
#
# Creazione: 08 Ott, 2004 at 11:38 
# Ultimo cambiamento: 08 Ott, 2004 at 11:38 
#

DROP TABLE IF EXISTS `red_posts_cat`;
CREATE TABLE `red_posts_cat` (
  `cat_id` int(11) NOT NULL auto_increment,
  `cat_title` varchar(100) NOT NULL default '',
  PRIMARY KEY  (`cat_id`)
) TYPE=MyISAM AUTO_INCREMENT=2 ;

#
# Dump dei dati per la tabella `red_posts_cat`
#

INSERT INTO `red_posts_cat` VALUES (1, 'Test category');
# --------------------------------------------------------

#
# Struttura della tabella `red_referers`
#
# Creazione: 08 Ott, 2004 at 11:38 
# Ultimo cambiamento: 08 Ott, 2004 at 11:32 
#

DROP TABLE IF EXISTS `red_referers`;
CREATE TABLE `red_referers` (
  `referer_id` int(12) NOT NULL auto_increment,
  `referer_desc` text NOT NULL,
  `referer_time` int(11) NOT NULL default '0',
  `referer_access_count` int(11) NOT NULL default '0',
  PRIMARY KEY  (`referer_id`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

#
# Dump dei dati per la tabella `red_referers`
#

# --------------------------------------------------------

#
# Struttura della tabella `red_smiles`
#
# Creazione: 08 Ott, 2004 at 11:38 
# Ultimo cambiamento: 08 Ott, 2004 at 11:38 
#

DROP TABLE IF EXISTS `red_smiles`;
CREATE TABLE `red_smiles` (
  `smile_code` varchar(10) NOT NULL default '',
  `smile_img` varchar(100) NOT NULL default '',
  PRIMARY KEY  (`smile_code`)
) TYPE=MyISAM;

#
# Dump dei dati per la tabella `red_smiles`
#

INSERT INTO `red_smiles` VALUES (':-)', 'icon_smile.gif');
INSERT INTO `red_smiles` VALUES (':D', 'icon_biggrin.gif');
INSERT INTO `red_smiles` VALUES (':-D', 'icon_biggrin.gif');
INSERT INTO `red_smiles` VALUES (':)', 'icon_smile.gif');
INSERT INTO `red_smiles` VALUES (';)', 'icon_wink.gif');
INSERT INTO `red_smiles` VALUES (':(', 'icon_sad.gif');
INSERT INTO `red_smiles` VALUES (':-(', 'icon_sad.gif');
INSERT INTO `red_smiles` VALUES (':o', 'icon_surprised.gif');
INSERT INTO `red_smiles` VALUES (':-o', 'icon_surprised.gif');
INSERT INTO `red_smiles` VALUES (':shock:', 'icon_eek.gif');
INSERT INTO `red_smiles` VALUES (':?', 'icon_confused.gif');
INSERT INTO `red_smiles` VALUES (':-?', 'icon_confused.gif');
INSERT INTO `red_smiles` VALUES ('8)', 'icon_cool.gif');
INSERT INTO `red_smiles` VALUES ('8-)', 'icon_cool.gif');
INSERT INTO `red_smiles` VALUES (':lol:', 'icon_lol.gif');
INSERT INTO `red_smiles` VALUES (':x', 'icon_mad.gif');
INSERT INTO `red_smiles` VALUES (':-x', 'icon_mad.gif');
INSERT INTO `red_smiles` VALUES (':P', 'icon_razz.gif');
INSERT INTO `red_smiles` VALUES (':-P', 'icon_razz.gif');
INSERT INTO `red_smiles` VALUES (':hoh:', 'icon_redface.gif');
INSERT INTO `red_smiles` VALUES (':cry:', 'icon_cry.gif');
INSERT INTO `red_smiles` VALUES (':evil:', 'icon_evil.gif');
INSERT INTO `red_smiles` VALUES (':twisted:', 'icon_twisted.gif');
INSERT INTO `red_smiles` VALUES (':green:', 'icon_mrgreen.gif');
# --------------------------------------------------------

#
# Struttura della tabella `red_stats`
#
# Creazione: 08 Ott, 2004 at 11:38 
# Ultimo cambiamento: 08 Ott, 2004 at 11:31 
#

DROP TABLE IF EXISTS `red_stats`;
CREATE TABLE `red_stats` (
  `year` smallint(4) NOT NULL default '0',
  `month` tinyint(2) NOT NULL default '0',
  `day` tinyint(2) NOT NULL default '0',
  `pages` int(11) NOT NULL default '0',
  PRIMARY KEY  (`year`,`month`,`day`)
) TYPE=MyISAM;

#
# Dump dei dati per la tabella `red_stats`
#


