<?php

$lang['back_to_admin_panel'] = 'Torna al pannello amministrativo';
$lang['insert_success'] = 'Inserimento effettuato con successo';
$lang['go_back'] = 'Torna indietro';
$lang['fill'] = 'Non puoi lasciare alcun campo vuoto';
$lang['confirm'] = 'Conferma';
$lang['confirm_category_delete'] ='Sei sicuro di voler eliminare la categoria?<br/>Verranno eliminati anche tutti i posts appartenenti alla categoria';
$lang['old_password_error'] = 'La vecchia password &egrave; errata!';
$lang['password_confirm_failure'] = 'Le due password non coincidono!';
$lang['page'] = 'Pagina';
$lang['no_comments_post'] = 'Nessun commento per questo post<br/> Se vuoi puoi inserirne uno!';
$lang['no_comments_draw'] = 'Nessun commento per questa foto<br/> Se vuoi puoi inserirne uno!';
$lang['comments_desc_order'] = 'Ordina dal primo commento inviato';
$lang['comments_asc_order'] = 'Ordina dall\'ultimo commento inviato';
$lang['picture_delete_confirmation'] ='Sei sicuro di voler eliminare questa foto?';
$lang['not_empty_cat_error'] = 'Non &egrave; possibile eliminare una categoria non vuota';
$lang['category_delete_confirmation'] = 'Sei sicuro di voler eliminare la categoria?';
$lang['file_delete_confirmation'] = 'Sei sicuro di voler eliminare i file?';
$lang['post_delete_confirmation'] = 'Sei sicuro di voler eliminare il post? <br/>Verranno eliminati anche tutti i commenti al post';
$lang['comment_delete_confirmation'] = 'Sei sicuro di voler eliminare il commento?';
$lang['reserved_area'] = 'Quest\'area &egrave; riservata!';
$lang['insert_admin_pwd'] = 'Inserisci la password di amministratore';
$lang['preview'] = 'Anteprima';
$lang['title'] = 'Titolo';
$lang['text'] = 'Testo';
$lang['submit'] = 'Invia';
$lang['posts_into_category'] = 'Numero posts nella categoria';
$lang['add_category'] = 'Aggiungi una categoria';
$lang['comments'] = 'Commenti';
$lang['autor'] = 'Autore';
$lang['name'] = 'Nome';
$lang['web_site'] = 'Sito Web';
$lang['remember_data'] = 'Ricorda questi dati';
$lang['necessary_fields'] = 'N.B. I campi segnati con l\'asterisco sono obbligatori';
$lang['downloaded'] = 'Scaricato';
$lang['description'] = 'Descrizione';
$lang['send_file'] = 'Invia file';
$lang['click_to_enlarge'] = 'Clicca sulle immagini per ingrandirle';
$lang['inserted'] = 'Inserito in';
$lang['category'] = 'Categoria';
$lang['all'] = 'Tutte';
$lang['go'] = 'Vai';
$lang['archive'] = 'Archivio';
$lang['menu'] = 'Menu';
$lang['download'] = 'Dowload';
$lang['drawing'] = 'Drawing';
$lang['home'] = 'Home';
$lang['description'] = 'Descrizione';
$lang['files_in_cat'] = 'Files nella categoria';
$lang['times'] = 'Volte';
$lang['viewed'] = 'Vista';

$lang['posts_per_page'] = 'Posts per pagina';
$lang['comments_per_page'] = 'Commenti per pagina';
$lang['thumbnail_size'] = 'Dimensione thumbnail';
$lang['thumbnail_quality'] = 'Qualit&agrave; thumbnail';
$lang['site_name'] = 'Nome del sito';
$lang['language'] = 'Lingua';
$lang['allow_ftp'] = 'Usa ftp?';
$lang['ftp_server'] = 'Server ftp<br/>Metti l\'indirizzo senza ftp://';
$lang['ftp_user'] = 'Utente ftp';
$lang['ftp_password'] = 'Password ftp';
$lang['redblog_home_path'] = 'RedBLoG home path senza lo slash finale<br/>Esempio: /var/www/html/redblog';
$lang['explain_max_filesize'] = 'Senza ftp puoi caricare solo';


/* Giorni della settimana */
$lang['mon'] = 'L';
$lang['tue'] = 'M';
$lang['wed'] = 'M';
$lang['thu'] = 'G';
$lang['fri'] = 'V';
$lang['sat'] = 'S';
$lang['sun'] = 'D';

$lang['categories'] = 'Categorie';
$lang['logout'] = 'Logout';
$lang['change_pwd'] = 'Cambia pass';
$lang['config'] = 'Configura';
$lang['posting'] = 'Scrivi';

$lang['old_password'] = 'Vecchia password';
$lang['new_password'] = 'Nuova password';
$lang['confirm_password'] = 'Conferma password';

$lang['specify_full_path'] = 'Stai usando l\'ftp per l\'upload <br/> Devi specificare l\'intero percorso del file sul tuo disco rigido!';

$lang['yes'] = 'si';
$lang['no'] = 'no';


$lang['general_configs'] = 'Configurazione generale';
$lang['ftp_configs'] = 'Configurazione Ftp';
$lang['drawing_configs'] = 'Configurazione foto';
$lang['drawing_cat'] = 'Categorie per le foto';
$lang['files_cat'] = 'Categorie per il download';
$lang['rss_configs'] = 'RSS Syndicate';

$lang['nothing_to_search'] = 'Il campo di ricerca &egrave; vuoto!';

// Statistiche
$lang['stats'] = 'Statistiche';
$lang['referer'] = 'Riferente';
$lang['access_count'] = 'Numero accessi';
$lang['total_pages'] = 'Totale pagine viste';
$lang['pages_today'] = 'Pagine viste oggi';
$lang['pages_current_month'] = 'Pagine viste in questo mese';
$lang['stats_active'] = 'Le pagine viste da questo pc, correntemente vengono processate insieme a tutte le altre ai fini statistici. Se questo &egrave; il computer di casa &egrave; consigliabile disattivare il processamento';
$lang['stats_inactive'] = 'Le pagine viste da questo pc non vengono considerate ai fini statistici';
$lang['deactive_filter'] = 'Disattiva filtro';
$lang['active_filter'] = 'Attiva filtro';
$lang['var'] = 'Tendenza rispetto al mese precedente';
$lang['cant_evalutate'] = 'Non posso valutare';
$lang['stats_from'] = 'Online dal';


//Mesi
$lang['january'] = 'Gennaio';
$lang['febrary'] = 'Febbraio';
$lang['march'] = 'Marzo';
$lang['april'] = 'Aprile';
$lang['may'] = 'Maggio';
$lang['june'] = 'Giugno';
$lang['july'] = 'Luglio';
$lang['august'] = 'Agosto';
$lang['september'] = 'Settembre';
$lang['october'] = 'Ottobre';
$lang['november'] = 'Novembre';
$lang['december'] = 'Dicembre';

$lang['online_users'] = 'Utenti online';

$lang['time_difference'] = 'Imposta qui la diffenreza di tempo<br/> tra l\'ora sul server e l\'ora del tuo paese.<br/><br/>Ora corrente sul server:<br/>';
$lang['date_format'] = 'Formato della data e dell\'ora<br/> La sintassi &egrave; quella della funzione<br/> php date()';

?>
