<?php
/***************************************************************************
 *                            mod.php
 *                            -------------------
 *   copyright            : redgun
 *   email                  : _redgun@libero.it
 *   web			: http://redgun.altervista.org
 *
 *   mod.php   start 13 marzo 2004
 *
 *   ultima modifica 29 aprile 2004
 *
 ***************************************************************************/

/***************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 ***************************************************************************/

define('REDBLOG', true);
$root_path='./';
require_once($root_path . 'common.php');
require_once($root_path . 'includes/functions.php');

if ( !admin_logged_in() ) {
	header("Location:  http://".$_SERVER['HTTP_HOST'].dirname($_SERVER['PHP_SELF'])."/admin/");
	exit;
}
//
// preview
if ( isset ( $_POST['preview'] ) ) {
	$post_id = $_POST['post_id'];	
	$post_title = stripslashes($_POST['title']);
	$post_text = stripslashes($_POST['message']);
	$cat_id = $_POST['cat_id'];
	require_once($root_path . '/includes/page_header.php');
	$template->set_filenames(array(
				'preview_body' => 'preview_body.html')
			);
	$template->assign_vars(array(
				'TITLE' =>htmlentities($post_title),
				'TEXT' => parse_all( htmlentities($post_text) ) )
			);
	$template->pparse('preview_body');
	$template->assign_vars( array (
				'TITLE' => $post_title,
				'TEXT' => $post_text,
				'POST_ID' => $post_id) 
			);
	require_once($root_path . 'includes/smiles.php');				
	$template->set_filenames(array(
				'mod' => 'mod_post_body.html')
			);
	$template->assign_vars(array(
				'LANG_CATEGORY' => $lang['category'],
				'LANG_TITLE' => $lang['title'],
				'LANG_TEXT' => $lang['text'],
				'LANG_SUBMIT' => $lang['submit'],
				'LANG_PREVIEW' => $lang['preview'],
				'LANG_GOBACK' => $lang['go_back'])
			);
	$sql = "SELECT * FROM " . POSTS_CATEGORIES_TABLE;
	if( !($result = $db->sql_query($sql)) ) {
		die("Can't query posts table" .$sql);
	}
	while ( $row = $db->sql_fetchrow($result) ) {
		if ( $row['cat_id'] == $post['cat_id'] ) {
			$selected ="selected";
		} 
		else { $selected = ""; }
		$template->assign_block_vars ( "cat" , array (
					'SELECTED' => $selected,
					'CAT_ID' => $row['cat_id'],
					'CAT_TITLE' => $row['cat_title'])
				);
	}

	$template->pparse('mod');
	require_once($root_path . '/includes/page_footer.php');
}
// fine preview
//
else if ( isset($_GET['id']) && isset($_GET['mode']) ){
	$id = $_GET['id'];
	$mode = $_GET['mode']; // edit or delete ?
	// make editing	 interface
	if ( $mode == 'edit') {				
		require_once($root_path . '/includes/page_header.php');
		$sql = "SELECT * FROM " . POSTS_TABLE . " WHERE post_id=" . $id;
		if( !($result = $db->sql_query($sql)) ) {
			die("Can't query post information" .$sql);
		}
		$post = $db->sql_fetchrow($result);				
		$sql = "SELECT * FROM " . POSTS_CATEGORIES_TABLE;
		if( !($result = $db->sql_query($sql)) ) {
			die("Can't query post information!" .$sql);
		}
		while ( $row = $db->sql_fetchrow($result) ) {
			if ( $row['cat_id'] == $post['cat_id'] ) {
				$selected ="selected";
			} 
			else { $selected = ""; }
			$template->assign_block_vars ( "cat" , array (
						'SELECTED' => $selected,
						'CAT_ID' => $row['cat_id'],
						'CAT_TITLE' => $row['cat_title'])
					);
		}
		$template->assign_vars( array (
					'TITLE' => $post['post_title'],
					'TEXT' => $post['post_text'],
					'POST_ID' => $id) 
				);
		require_once($root_path . 'includes/smiles.php');				
		$template->set_filenames(array(
					'mod' => 'mod_post_body.html')
				);
		$template->assign_vars(array(
					'LANG_CATEGORY' => $lang['category'],
					'LANG_TITLE' => $lang['title'],
					'LANG_TEXT' => $lang['text'],
					'LANG_SUBMIT' => $lang['submit'],
					'LANG_PREVIEW' => $lang['preview'],
					'LANG_GOBACK' => $lang['go_back'])
				);
		$template->pparse('mod');
		require_once($root_path . '/includes/page_footer.php');
	}
	else if ( $mode == 'delete') {
		if ( ! isset($_GET['confirm']) ) {	
			require_once($root_path . '/includes/page_header.php');
			$template->set_filenames (array(
						'notice' =>'notice_body.html')
					);
			$link = "<a href=\"".$root_path."mod.php?id=". $id."&amp;mode=".$mode."&amp;confirm=true\">".$lang['confirm']."</a>";				
			$notice = $lang['post_delete_confirmation'];
			$back = "index.php";
			$link .="&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href=\"".$root_path.$back."\">".$lang['go_back']."</a>";
			$template->assign_vars(array(
						'NOTICE' => $notice,
						'LINK' => $link)
					);
			$template->pparse('notice');
			require_once($root_path . '/includes/page_footer.php');

		}
		else if  ( $_GET['confirm'] == 'true' ) {
			$sql1 = "DELETE FROM " . COMMENTS_TABLE . " WHERE post_id=" . $id;
			$sql2 = "DELETE FROM " . POSTS_TABLE . " WHERE post_id=" . $id;
			if( !($result = $db->sql_query($sql1)) ) {
				die("Can't delete post's comments");
			}
			if( !($result = $db->sql_query($sql2)) ) {
				die("Can't delete post!");
			}
			header("Location:  http://".$_SERVER['HTTP_HOST'].dirname($_SERVER['PHP_SELF'])."/index.php");
		}
	}
}
else {
	if ( isset( $_POST['title'] ) && isset( $_POST['message'] ) && isset( $_POST['post_id'] ) ) {
		$post_title = htmlentities ( $_POST['title'] );
		$post_text = htmlentities ( $_POST['message'] );
		$post_id = $_POST['post_id'];
		$cat_id = $_POST['cat_id'];
		$sql = "UPDATE ". POSTS_TABLE . " SET post_title='" . $post_title . "', post_text='" . $post_text . "', cat_id=" . $cat_id . "  WHERE post_id=" . $post_id;			
		if( !($result = $db->sql_query($sql)) ) {
			die("Can't update post!");
		}
		header("Location:  http://".$_SERVER['HTTP_HOST'].dirname($_SERVER['PHP_SELF'])."/index.php");
		exit;
	}
}


?>
