<?php

/***************************************************************************
 *                            pic_pic_comments.php
 *                            -------------------
 *   copyright            : redgun
 *   email                : _redgun@libero.it
 *   web		  : http://redblog.sourceforge.net
 *
 *   pic_pic_comments.php   start 13 marzo 2004
 *
 *
 ***************************************************************************/

/***************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 ***************************************************************************/

define('REDBLOG', true);
$root_path='./';
require_once($root_path . 'common.php');
require_once($root_path . 'includes/functions.php');

if ( isset($_GET['id']) ) {
	$id = $_GET['id'];
}
else { die("You must specify a post id!"); }

if ( isset($_GET['page'])) {
	$page = $_GET['page'];
} else { $page = 0; }


$cookie_expire = time() + 31536000; // one year!

// If there is a comment insert it in database
if ( isset($_POST['title']) && isset($_POST['message']) && ($_POST['title'] != "") && ($_POST['message'] != "") ){
	$comment_title = $_POST['title'];
	$comment_text = $_POST['message'];
	$rememberme = false;	
	if ( isset ($_POST['rememberme'] ) ){
		$rememberme = true;
	}
	if ( isset($_POST['name']) && ($_POST['name']!="")) {
		$poster_name = $_POST['name'];		
	} else {
		$poster_name = "Anonymous";
	}
	if ( $rememberme ) { setcookie('username', $poster_name, $cookie_expire );}
	if ( isset($_POST['email']) ) {
		$poster_email = $_POST['email'];
		if ( $rememberme ) { setcookie('mail', $poster_email, $cookie_expire );}
	}
	if ( isset($_POST['website']) ) {
		$poster_website = $_POST['website'];
		if ( $rememberme ) { setcookie('website', $poster_website, $cookie_expire );}
	}

	$post_time = time() + ($config['time_difference'] * 3600);
	$comment_title = htmlentities($comment_title);
	$poster_name = htmlentities($poster_name);
	$poster_email = htmlentities($poster_email);
	$poster_website = htmlentities($poster_website);
	$comment_text = htmlentities($comment_text);

	$user_ip = $_SERVER['REMOTE_ADDR'];

	$sql = "INSERT INTO " .  PICTURE_COMMENTS_TABLE . " VALUES ('', '$id', '$comment_title', '$poster_name', '$poster_email', '$poster_website', $post_time, '$user_ip', '$comment_text') ";
	if( !($result = $db->sql_query($sql)) ) {
		die("Can't update posts table! 1");
	}
	// update comments count in posts table
	$sql = "SELECT pic_comments FROM " . PICTURES_TABLE . " WHERE pic_id = " . $id;
	if( !($result = $db->sql_query($sql)) ) {
		die("Can't update posts information!");
	}
	$row = $db->sql_fetchrow($result);
	$num_comments = $row['pic_comments'];
	$num_comments++;
	$sql = "UPDATE " . PICTURES_TABLE. " SET pic_comments= '$num_comments' WHERE pic_id = '$id'";
	if( !($result = $db->sql_query($sql)) ) {
		die("Can't update posts information!");
	}
	header("Location:  http://".$_SERVER['HTTP_HOST'].dirname($_SERVER['PHP_SELF'])."/pic_comments.php?id=".$id."&amp;page=".$page);
	exit;	
}



$template->set_filenames(array(
			'comments' => 'pic_comments_body.html')
		);
$template->assign_vars(array(
			'COMMENTS' => $lang['comments'],
			'LANG_AUTOR' => $lang['autor'],
			'LANG_NAME' => $lang['name'],
			'LANG_WEBSITE' => $lang['web_site'],
			'LANG_TITLE' => $lang['title'],
			'LANG_TEXT' => $lang['text'],
			'LANG_REMEBER_DATA' => $lang['remember_data'],
			'LANG_SUBMIT' => $lang['submit'],
			'LANG_NECESSARY_FIELDS' => $lang['necessary_fields'] )
		);


// Paginator

$comments_per_page = $config['comments_per_page'];

$sql = "SELECT * FROM " . PICTURE_COMMENTS_TABLE. " WHERE pic_id=" . $id;
if( !($result = $db->sql_query($sql)) ) {
	die("Can't query comments table! ".$sql);
}
$comments_count = $db->sql_numrows();

$viewer_url = "pic_comments.php?id=".$id;
$paginator = paginator ($page, $comments_count, $comments_per_page, $viewer_url);
$template->assign_vars(array(
		'PAGINATOR' => $paginator)
	);




$start = $page * $comments_per_page;

$order = "";
if ($_COOKIE['comments_order'] ) {
	$order =  $_COOKIE['comments_order'];
}

if ( isset($_GET['order']) ) {
	$order = $_GET['order'];
}
if ( $order == "") {
	$order = "ASC";
}

$order = strtoupper ( $order );

setcookie('comments_order', $order, $cookie_expire );

$sql = "SELECT * FROM " . PICTURE_COMMENTS_TABLE. " 
WHERE pic_id=" . $id . " 
ORDER BY post_time ". $order. "  
LIMIT " . $start . ", " . $comments_per_page;
if( !($result = $db->sql_query($sql)) ) {
	die("Can't query comments table!");
}

$comments=array();
$i=0;
while ( $row = $db->sql_fetchrow($result) ) {
	$comments[$i]['pic_id'] = $row['pic_id'];
	$comments[$i]['comment_id'] = $row['comment_id'];
	$comments[$i]['comment_title'] = $row['comment_title'];
	$comments[$i]['poster_name'] = $row['poster_name'];
	$comments[$i]['poster_email'] = $row['poster_email'];
	$comments[$i]['poster_website'] = $row['poster_website'];
	$comments[$i]['post_time'] = $row['post_time'];
	$comments[$i]['comment_text'] = $row['comment_text'];
	$i++;
}

if ( count($comments)!= 0) {
	for ($i=0; $i < count($comments); $i++) {

		$comments[$i]['comment_text'] = parse_all( $comments[$i]['comment_text'] );		

		if ( admin_logged_in() ) {
			$link = "<a href=mod_pic_comments.php?id=" . $comments[$i]['comment_id'] ."&amp;mode=edit>Edit</a>";
			$link .= "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href=mod_pic_comments.php?id=" . $comments[$i]['comment_id'] ."&amp;mode=delete>Delete</a>&nbsp;&nbsp;";
		} else { $link=""; }

		$template->assign_block_vars('comments', array(
					'TITLE' => $comments[$i]['comment_title'],
					'TEXT' => $comments[$i]['comment_text'],
					'POST_TIME' => date('j - n - y @ H:i', $comments[$i]['post_time']),
					'POSTER_NAME' => $comments[$i]['poster_name'],
					'MODERATOR' => $link,
					'POSTER_EMAIL' => $comments[$i]['poster_email'],
					'POSTER_WEBSITE' => $comments[$i]['poster_website'],
					'POST_ID' => $comments[$i]['post_id']
					)
				);
	}
}
else {
	$text = $lang['no_comments_post'];
	$template->assign_block_vars('no_comments', array(
				'TEXT' => $text
				)
			);
}

require_once($root_path . 'includes/smiles.php');

$order_link = ( ($order=="ASC") ) ? '<a href="pic_comments.php?id='.$id.'&amp;page=0&amp;order=DESC">'.$lang['comments_asc_order'].'</a>' 
: '<a href="pic_comments.php?id='.$id.'&amp;page=0&amp;order=ASC">'.$lang['comments_desc_order'].'</a>';
$template->assign_vars(array(
			'POST_ID' => $id,
			'PAGE' => $page,
			'USERNAME' => $_COOKIE['username'],
			'MAIL' => $_COOKIE['mail'],
			'ORDER_LINK' => $order_link,
			'WEBSITE' => ( ( $_COOKIE['website'] != "" ) ? $_COOKIE['website'] : "http://" ) )
		);

$template->pparse('comments');

?>
