<?php
/***************************************************************************
 *                            search.php
 *                            -------------------
 *   copyright            : redgun
 *   email                : _redgun@libero.it
 *   web		  : http://redblog.sf.net
 *
 *   search.php   24 September 2004
 *
 *
 ***************************************************************************/

/***************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 ***************************************************************************/


define('REDBLOG', true);
$root_path='./';
require_once($root_path . 'common.php');
require_once($root_path . 'includes/functions.php');

require_once($root_path . '/includes/page_header.php');

if ( !( isset($_GET['query']) && ($_GET['query'] != "")) ){
	// Nothing to search
	$template->set_filenames (array(
			'notice' =>'notice_body.html')
		);
	$notice = $lang['nothing_to_search'];
	$back = "index.php";
	$link ="<a href=\"".$root_path.$back."\">".$lang['go_back']."</a>";
	$template->assign_vars(array(
			'NOTICE' => $notice,
			'LINK' => $link)
		);
	$template->pparse('notice');

}
else { // query is set
	$query = $_GET['query'];
	
	if ( isset ($_GET['page']) ){
		$page = $_GET['page'];
	}
	else { $page = 0;}
	
	
	$sql = "SELECT * FROM " .POSTS_TABLE. " WHERE post_text LIKE '%".$query."%' ORDER BY post_time DESC";

	if( !($result = $db->sql_query($sql)) ) {
		die("Can't query posts table!");
	}
	
	$count_result = $db->sql_numrows();
		
	$posts_per_page = $config['posts_per_page'];
	if ($count_result > $posts_per_page ) {
		$start = $page  * $posts_per_page;  // First page is zero page
		$sql = "SELECT * FROM " .POSTS_TABLE. " 
			WHERE post_text LIKE '%".$query."%' 
			ORDER BY post_time DESC 
			LIMIT " . $start . ", " . $posts_per_page;
		if( !($result = $db->sql_query($sql)) ) {
			die("Can't query posts table!");
		}

		$viewer_url = "search.php?query=".$query;
		// this is the new paginator function. It must be called as
		// paginator ($current_page, $result_count, $result_per_page, $viewer_url)
		$paginator = paginator($page, $count_result, $posts_per_page, $viewer_url);
		$template->assign_vars(array(
			'PAGINATOR' => $paginator)
		);
	}

	// fetch result
	while ( $row = $db->sql_fetchrow($result) ){
		if ( admin_logged_in() ) {	
		$link = "<a href=mod.php?id=" . $row['post_id'] ."&amp;mode=edit>Edit</a>";
		$link .= "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href=mod.php?id=" . $row['post_id'] ."&amp;mode=delete>Delete</a>&nbsp;&nbsp;";
		} else { $link=""; }
		
		$text = parse_all($row['post_text']);
		

		// Thanks to Aidan :)
		$wholeword = false;
		$pattern = ($wholeword === true) ? '#(?!<.*?)\b(%s)\b(?![^<>]*?>)#si' : '#(?!<.*?)(%s)(?![^<>]*?>)#si';
		$regex = sprintf($pattern, preg_quote($query));
	        $text = preg_replace($regex, '<span class="search_result">\1</span>', $text);

		
		$template->assign_block_vars('search_result', array(
			'TEXT' => $text,
			'POST_TIME' => date($config['date_format'], $row['post_time']),
			'TITLE' => $row['post_title'],
			'MODERATOR' => $link
			)
		);
	}

	$template->set_filenames(array(
		'body' => 'search_body.html')
	);
	$template->pparse('body');
}


require_once($root_path . '/includes/page_footer.php');
?>
