<?php
/***************************************************************************
 *                             categories.php
 *                            -------------------
 *   copyright            : redgun
 *   email                : _redgun@libero.it
 *
 *   categories.php   start 13 August 2004
 *
 *
 ***************************************************************************/

/***************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 ***************************************************************************/
 
define('REDBLOG', true);
$root_path='./../';
require_once($root_path . 'common.php');
require_once($root_path . 'includes/functions.php');

// Only admin can access to this area
if (!admin_logged_in()) {
	header("Location:  http://".$_SERVER['HTTP_HOST'].dirname($_SERVER['PHP_SELF'])."/index.php");
	exit;
}


if ( isset ($_GET['type'] ) ) {
	$type = $_GET['type'];
	$cat_id = $_GET['cat_id'];
	if ( $type == 'edit' ) {			
		if ( isset( $_POST['cat_title'] ) ) {
			$cat_title = $_POST['cat_title'];
			$sql = "UPDATE ". POSTS_CATEGORIES_TABLE ." SET cat_title='".$cat_title."' WHERE cat_id=".$cat_id;
			if( !($result = $db->sql_query($sql)) ) {
				die("Can't update categories information! ".$sql);
			}
			header("Location:  http://".$_SERVER['HTTP_HOST'].dirname($_SERVER['PHP_SELF'])."/categories.php");
			exit;
		}
		else {
			$sql = "SELECT cat_title FROM ". POSTS_CATEGORIES_TABLE. " WHERE cat_id=".$cat_id;
			if( !($result = $db->sql_query($sql)) ) {
				die("Can't query categories table!");
			}
			$row = $db->sql_fetchrow($result);
			$template->set_filenames(array(
				'body' => 'admin/admin_post_cat.html')
			);
			$template->assign_vars(array(
				'LANG_TITLE' => $lang['title'],
				'LANG_GOBACK' => $lang['go_back'],
				'LANG_SEND' => $lang['submit'],
				'CAT_ID' => $cat_id,
				'CAT_TITLE' => $row['cat_title'])
			);
		}
	}
	else if ( $type == 'delete' ) {
		if ( isset ($_GET['confirm']) ) {
			$sql = "DELETE FROM ". POSTS_TABLE ." WHERE cat_id=".$cat_id;
			if( !($result = $db->sql_query($sql)) ) {
				die("Can't delete post from category!");
			}
			$sql = "DELETE FROM ". POSTS_CATEGORIES_TABLE ." WHERE cat_id=".$cat_id;
			if( !($result = $db->sql_query($sql)) ) {
				die("Can't delete cantegory!");
			}
			header("Location:  http://".$_SERVER['HTTP_HOST'].dirname($_SERVER['PHP_SELF'])."/categories.php");
			exit;
		}
		else {
			$template->set_filenames (array(
				'body' =>'admin/notice_body.html')
			);
			$link = "<a href=\"".$root_path."admin/categories.php?type=delete&amp;confirm=true&amp;cat_id=".$cat_id."\">".$lang['confirm']."</a>";
			
			$notice = $lang['confirm_category_delete'];
			$back = "admin/categories.php";				
			$link .="&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href=\"".$root_path.$back."\">".$lang['go_back']."</a>";
			$template->assign_vars(array(
				'NOTICE' => $notice,
				'LINK' => $link)
			);
		}
	}
}
else if ( isset ($_POST['cat_title'] ) ) {		
	$cat_title = $_POST['cat_title'];
	$sql = "INSERT INTO ". POSTS_CATEGORIES_TABLE ." VALUES ('', '$cat_title')";
	if( !($result = $db->sql_query($sql)) ) {
		die("Can't update categories information!");
	}
	header("Location:  http://".$_SERVER['HTTP_HOST'].dirname($_SERVER['PHP_SELF'])."/categories.php");
	exit;
}
else {
	$sql = "SELECT * FROM ". POSTS_CATEGORIES_TABLE;
		
	if( !($result = $db->sql_query($sql)) ) {
		die("Can't query categories table!");
	}
	$template->set_filenames(array(
		'body' => 'admin/admin_categories.html')
	);
	$template->assign_vars(array(
		'LANG_TITLE' => $lang['title'],
		'LANG_CATEGORIES' => $lang['categories'],
		'LANG_POSTS_INTO_CATEGORY' => $lang['posts_into_category'],
		'LANG_ADD_CATEGORY' => $lang['add_category'],
		'LANG_SUBMIT' => $lang['submit'] )
	);
	while ( $row = $db->sql_fetchrow($result) ) {
		$sql = "SELECT COUNT(post_id) AS posts_count FROM ". POSTS_TABLE ." WHERE cat_id=". $row['cat_id'];
		if( !($result2 = $db->sql_query($sql)) ) {
			die("Can't query categories information!");
		}
		$row2 = $db->sql_fetchrow($result2);
		$delete_link = "<a href=\"categories.php?type=delete&amp;cat_id=".$row['cat_id']."\">Delete</a>";
		$edit_link = "<a href=\"categories.php?type=edit&amp;cat_id=".$row['cat_id']."\">Edit</a>";
		$template->assign_block_vars('cat_row',array(
			'EDIT_LINK' => $edit_link,
			'DELETE_LINK' => $delete_link,
			'CAT_TITLE' => $row['cat_title'],
			'POSTS_COUNT' => $row2['posts_count'])
		);
	}		
}

require_once($root_path . '/admin/page_header.php');

$template->pparse('body');

require_once($root_path . '/admin/page_footer.php');

?>
