<?php
/***************************************************************************
 *                             posting.php
 *                            -------------------
 *   copyright            : redgun
 *   email                : _redgun@libero.it
 *
 *   posting.php   start 13 August 2004
 *
 *
 ***************************************************************************/

/***************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 ***************************************************************************/ 

define('REDBLOG', true);
$root_path='./../';
require_once($root_path . 'common.php');
require_once($root_path . 'includes/functions.php');

// Only admin can access to this area
if (!admin_logged_in()) {
	header("Location:  http://".$_SERVER['HTTP_HOST'].dirname($_SERVER['PHP_SELF'])."/index.php");
	exit;
}


$mode="";

if ( isset($_GET['mode'])) {
	$mode = $_GET['mode'];
}

if ( isset($_POST['message']) || isset($_POST['title']) ){
	if ( isset($_POST['message']) && isset($_POST['title']) && isset($_POST['submit']) ){		
		$post_text = $_POST['message'];
		$post_title = $_POST['title'];
		$mode = "insert_post";
	}
	else if ( isset($_POST['message']) && isset($_POST['title']) && isset($_POST['preview']) ){		
		$post_text = $_POST['message'];
		$post_title = $_POST['title'];
		$mode = "preview";
	}
	else {
		$mode = "error";
	}
	$cat_id = $_POST['cat_id'];
}

/***********************
*
*  post insert (submit clicked)
*
************************/
if ( $mode == 'insert_post') {
	$now = time() + ($config['time_difference'] * 3600); // Consider the time difference between server and my local time
	$post_title = htmlentities($post_title);
	$post_text = htmlentities($post_text);	
	$sql = "INSERT INTO " .  POSTS_TABLE . " VALUES ('', '$post_title', '$post_text', $now, 0, $cat_id) ";
	if( !($result = $db->sql_query($sql)) ) {
		die("Can't update posts table! ".$sql);
	}
	else {
		header("Location:  http://".$_SERVER['HTTP_HOST'].dirname($_SERVER['PHP_SELF'])."/posting.php?mode=success");
	}

}

/***********************
*
*  post preview
*
************************/

else if ( $mode=='preview' ){	
	$template->set_filenames(array(
		'preview_body' => 'admin/preview_body.html')
	);
	$template->assign_vars(array(
		'LANG_TITLE' => $lang['title'],
		'LANG_TEXT' => $lang['text'],
		'LANG_PREVIEW' => $lang['preview'],
		'LANG_SUBMIT' => $lang['submit'],
		'LANG_POSTING' => $lang['posting'],
		'TITLE' =>htmlentities(stripslashes($post_title)),
		'TEXT' => parse_all( htmlentities(stripslashes($post_text)) ) )
	);
	
	require_once($root_path . 'includes/smiles.php');	
	$template->set_filenames(array(
		'body' => 'admin/posting_body.html')
	);
}
// post was inserted successfully
else if ( $mode == 'success'){
	$template->set_filenames(array(
		'body' => 'admin/notice_body.html')
	);
	$link = '<a href="posting.php"> '.$lang['back_to_admin_panel'].' </a>';
	$template->assign_vars(array(		
		'NOTICE' => $lang['insert_success'],
		'LINK' => $link)
	);
}


//
// If I'm here I must show the posting interface
//
else {
	require_once($root_path . 'includes/smiles.php');
	
	$template->set_filenames(array(
		'body' => 'admin/posting_body.html')
	);
	$template->assign_vars(array(
		'LANG_TITLE' => $lang['title'],
		'LANG_TEXT' => $lang['text'],
		'LANG_POSTING' => $lang['posting'],
		'LANG_PREVIEW' => $lang['preview'],
		'LANG_SUBMIT' => $lang['submit'])
	);
}



// Show output

require_once($root_path . '/admin/page_header.php');

if ( $mode == 'preview' ) {
	$template->pparse('preview_body');
	$template->assign_vars(array(
		'TITLE' => stripslashes($post_title),
		'TEXT' =>  stripslashes($post_text)  )
	);
}

// Category selector
$sql = "SELECT * FROM ". POSTS_CATEGORIES_TABLE;
if( !($result = $db->sql_query($sql)) ) {
	die("Can't query categories table!");
}
while ( $row = $db->sql_fetchrow($result) ) {
	if ( $row['cat_id'] == $cat_id ){
		$selected="selected";
	}
	else {
		$selected="";
	}
	$template->assign_block_vars('posts_categories', array(
			'SELECTED' => $selected,
			'CAT_TITLE' => $row['cat_title'],
			'CAT_ID' => $row['cat_id'] )
	);
}



$template->pparse('body');


require_once($root_path . '/admin/page_footer.php');



?>
