<?php
/***************************************************************************
 *                           download.php
 *                            -------------------
 *   copyright            : redgun
 *   email                  : _redgun@libero.it
 *   web			: http://redgun.altervista.org
 *
 *   download.php   start 13 marzo 2004
 *
 *   ultima modifica 15 aprile 2004
 *
 ***************************************************************************/

/***************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 ***************************************************************************/

define('REDBLOG', true);
$root_path='./';
require_once($root_path . 'common.php');
require_once($root_path . 'includes/functions.php');

if ( isset($_GET['id'])) {
	$file_id = $_GET['id'];
	
	// Send file to browser
	$upload_dir ="files/";
	
	$sql = "SELECT * FROM " . FILES_TABLE . " WHERE file_id=" .$file_id;
	if( !($result = $db->sql_query($sql)) ) {
		die("Impossibile ottenere informazioni sui file! ");
	}
	$row = $db->sql_fetchrow($result);
	
	// Remember physical name is current time stamp when you upload
	$filename =$upload_dir . $row['upload_time'];
	$file_mime_type = $row['mimetype'];
	$real_filename = $row['real_filename'];
	$download_count = $row['download_count'];
	
	$gotit = FALSE;
	
	if ( @!file_exists($filename) ) {
		die("<br /><br /><b>404 File Not Found:</b>");
	}
	else	{
		$gotit = TRUE;
	}
		
	//
	// Determine the Browser the User is using, because of some nasty incompatibilities.
	// Most of the methods used in this function are from phpMyAdmin. :)
	//
	if (!empty($_SERVER['HTTP_USER_AGENT'])) 	{
			$HTTP_USER_AGENT = $_SERVER['HTTP_USER_AGENT'];
	} 
	else if (!empty($HTTP_SERVER_VARS['HTTP_USER_AGENT'])) {
		$HTTP_USER_AGENT = $HTTP_SERVER_VARS['HTTP_USER_AGENT'];
	}
	else if (!isset($HTTP_USER_AGENT)){
		$HTTP_USER_AGENT = '';
	}

	if (ereg('Opera(/| )([0-9].[0-9]{1,2})', $HTTP_USER_AGENT, $log_version)) 	{
		$browser_version = $log_version[2];
		$browser_agent = 'opera';
	} 	
	else if (ereg('MSIE ([0-9].[0-9]{1,2})', $HTTP_USER_AGENT, $log_version)) 	{
			$browser_version = $log_version[1];
			$browser_agent = 'ie';
	} 
	else if (ereg('OmniWeb/([0-9].[0-9]{1,2})', $HTTP_USER_AGENT, $log_version)) 	{
		$browser_version = $log_version[1];
		$browser_agent = 'omniweb';
	} 
	else if (ereg('Netscape([0-9]{1})', $HTTP_USER_AGENT, $log_version)) {
		$browser_version = $log_version[1];
		$browser_agent = 'netscape';
	} 
	else if (ereg('Mozilla/([0-9].[0-9]{1,2})', $HTTP_USER_AGENT, $log_version)) {
		$browser_version = $log_version[1];
		$browser_agent = 'mozilla';
	} 
	else if (ereg('Konqueror/([0-9].[0-9]{1,2})', $HTTP_USER_AGENT, $log_version)) {
		$browser_version = $log_version[1];
		$browser_agent = 'konqueror';
	} 	
	else {
		$browser_version = 0;
		$browser_agent = 'other';
	}
	// Correct the mime type - we force application/octetstream for all files, except images
	// Please do not change this, it is a security precaution
	if (!strstr($file_mime_type, 'image'))
	{
		$file_mime_type = ($browser_agent == 'ie' || $browser_agent == 'opera') ? 'application/octetstream' : 'application/octet-stream';
	}
	// Now the tricky part... let's dance
	@ob_end_clean();
	@ini_set('zlib.output_compression', 'Off');
	header('Pragma: public');
	header('Content-Transfer-Encoding: none');
	
	// Send out the Headers
	header('Content-Type: ' . $file_mime_type . '; name="' . $real_filename . '"');
	header('Content-Disposition: inline; filename="' . $real_filename . '"');
	
	//
	// Now send the File Contents to the Browser
	//
	if ($gotit)	{
		$size = @filesize($filename);
		if ($size)	{
			header("Content-length: $size");
		}
		readfile($filename);
	}
	else	{
		die("<br /><br /><b>404 File Not Found:</b>");
	}	

	// Aggiorno il download_count nel database
	$download_count++;
	$sql = "UPDATE " . FILES_TABLE. " SET download_count= '$download_count' WHERE file_id = '$file_id'";
	if( !($result = $db->sql_query($sql)) ) {
		die("Can't update files information!");
	}	
}
else { // Show category's files
	
	if ( isset ( $_GET['cat_id'] ) ){
		$cat_id = $_GET['cat_id'];
	}
	else { die("You must specify a download category!"); }
	
	$sql = "SELECT * FROM " . FILES_TABLE . " WHERE cat_id=" . $cat_id . " ORDER BY upload_time DESC";
	if( !($result = $db->sql_query($sql)) ) {
		die("Can't query files table!");
	}
	
	while ( $row = $db->sql_fetchrow($result) ) {
		$edit_link = "";
		$delete_link = "";
		if ( admin_logged_in() ) {
			$edit_link = '<a href="mod_files.php?mode=edit&amp;id='.$row['file_id'].'&amp;cat_id='.$cat_id.'">Edit</a>';
			$delete_link = '<a href="mod_files.php?mode=delete&amp;id='.$row['file_id'].'&amp;cat_id='.$cat_id.'">Delete</a>';
		}
		$download_link = "<a href=\"download.php?id=".$row['file_id']."\">Download</a>";
		$template->assign_block_vars('file', array(
			'FILENAME' => $row['real_filename'],
			'FILE_SIZE' => $row['file_size'],
			'DOWNLOAD_LINK' => $download_link,
			'DOWNLOAD_COUNT' => $row['download_count'],
			'UPLOAD_TIME' => date($config['date_format'], $row['upload_time']),
			'EDIT_LINK' => $edit_link,
			'DELETE_LINK' => $delete_link,
			'FILE_DESC' => parse_all( $row['file_desc'] ) )
		);
	}
	
	
	require_once($root_path . '/includes/page_header.php');
	if ( admin_logged_in() ) {
	
		if ( $config['allow_ftp']) {	
			$template->assign_block_vars( 'switch_upload_form_ftp', array(
				'CAT_ID'=> $cat_id,
				'LANG_SPECIFY_FULL_PATH' => $lang['specify_full_path']) 
			);
		}
		else {	
			$template->assign_block_vars( 'switch_upload_form_noftp', array(
				'CAT_ID'=> $cat_id) 
			);
		}
		
	}
	$template->set_filenames(array(
		'download' => 'download_body.html')
	);

	$sql = "SELECT cat_title FROM " . FILES_CATEGORIES_TABLE . " WHERE cat_id=".$cat_id;
	if( !($result = $db->sql_query($sql)) ) {
		die("Can't query files table!");
	}
	$row = $db->sql_fetchrow($result);

	$template->assign_vars(array(
		'CAT_TITLE' => $row['cat_title'],
		'LANG_DOWNLOADED' => $lang['downloaded'],
		'LANG_TIMES' => $lang['times'],
		'LANG_DESCRIPTION' => $lang['description'],
		'LANG_SENDFILE' => $lang['send_file'])
	);
	require_once($root_path . 'includes/smiles.php');
	$template->pparse('download');

	require_once($root_path . '/includes/page_footer.php');
}
?>
