<?php
/***************************************************************************
 *                            drawing.php
 *                            -------------------
 *   copyright            : redgun
 *   email                  : _redgun@libero.it
 *   web			: http://redgun.altervista.org
 *
 *    drawing.php   start 23 marzo 2004
 *
 *   ultima modifica 19 aprile 2004
 *
 ***************************************************************************/

/***************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 ***************************************************************************/

define('REDBLOG', true);
$root_path='./';
require_once($root_path . 'common.php');
require_once($root_path . 'includes/functions.php');

$pic_path='pictures/';
$thumb_path = $pic_path . 'thumb/';

if ( isset ( $_GET['cat_id'] ) ){
	$cat_id = $_GET['cat_id'];
}
else { die("You must specify a drawing category!"); }


$cookie_expire = time() + 31536000; // one year!

// If there is a comment insert it in database
if ( isset($_POST['title']) && isset($_POST['message']) && ($_POST['title'] != "") && ($_POST['message'] != "") ){
	$comment_title = $_POST['title'];
	$comment_text = $_POST['message'];
	$rememberme = false;	
	if ( isset ($_POST['rememberme'] ) ){
		$rememberme = true;
	}
	if ( isset($_POST['name']) && ($_POST['name']!="")) {
		$poster_name = $_POST['name'];		
	} else {
		$poster_name = "Anonymous";
	}
	if ( $rememberme ) { setcookie('username', $poster_name, $cookie_expire );}
	if ( isset($_POST['email']) ) {
		$poster_email = $_POST['email'];
		if ( $rememberme ) { setcookie('mail', $poster_email, $cookie_expire );}
	}
	if ( isset($_POST['website']) ) {
		$poster_website = $_POST['website'];
		if ( $rememberme ) { setcookie('website', $poster_website, $cookie_expire );}
	}

	$post_time = time();
	$comment_title = htmlentities($comment_title);
	$poster_name = htmlentities($poster_name);
	$poster_email = htmlentities($poster_email);
	$poster_website = htmlentities($poster_website);
	$comment_text = htmlentities($comment_text);

	$user_ip = $_SERVER['REMOTE_ADDR'];

	$sql = "INSERT INTO " .  COMMENTS_TABLE . " VALUES ('', '$id', '$comment_title', '$poster_name', '$poster_email', '$poster_website', $post_time, '$user_ip', '$comment_text') ";
	if( !($result = $db->sql_query($sql)) ) {
		die("Can't update posts table! 1");
	}
	// update comments count in drawing table
	$sql = "SELECT pic_comments FROM " . PICTURES_TABLE . " WHERE pic_id = " . $id;
	if( !($result = $db->sql_query($sql)) ) {
		die("Can't update posts information!");
	}
	$row = $db->sql_fetchrow($result);
	$num_comments = $row['pic_comments'];
	$num_comments++;
	$sql = "UPDATE " . PICTURES_TABLE. " SET pic_comments= '$num_comments' WHERE pic_id = '$id'";
	if( !($result = $db->sql_query($sql)) ) {
		die("Can't update posts information!");
	}
	// Reload page for cookies to become effective
	header("Location:  http://".$_SERVER['HTTP_HOST'].dirname($_SERVER['PHP_SELF'])."/comments.php?id=".$id."&amp;page=".$page);
	exit;	
}




$sql = "SELECT * FROM " . PICTURES_TABLE . " WHERE cat_id=".$cat_id." ORDER BY pic_time DESC";
if( !($result = $db->sql_query($sql)) ) {
	die("Can't query pictures table");
}

$num_pictures = $db->sql_numrows();

$num_row = $num_pictures / 3;
list($num_row, $decimale) = explode(".",$num_row); 
$template->assign_block_vars('pictures_row', array());
$current_pic = 1;


while ( $row = $db->sql_fetchrow($result) ) {
	$filename = $row['pic_filename'];
	$pic_id = $row['pic_id'];
	if ( admin_logged_in() ){
		$delete_link = '<a href="mod_drawing.php?pic_id='.$pic_id.'&amp;cat_id='.$cat_id.'">Delete</a> ';
	} else { $delete_link = ""; }

	$pic_size = getimagesize($pic_path . $filename);
	$pic_width = $pic_size[0] + 20; // add some tollerance for windows widgets
	$pic_height = $pic_size[1] + 30;

	$img_html = '<img src="'.$thumb_path.$filename.'" border="0" alt="'.$filename.'"/>';
	$template->assign_block_vars('pictures_row.picture', array(
				'TITLE' => $row['pic_title'] ,
				'PIC_ID' => $row['pic_id'],				
				'IMG_HTML' => $img_html,
				'DELETE_LINK' => $delete_link,
				'UPLOAD_TIME' => date($config['date_format'], $row['pic_time']),
				'WIDTH' => $pic_width,
				'HEIGHT' => $pic_height,
				'CELL_CLASS' => "mark",
				'COMMENTS' => "Commenti [".$row['pic_comments']."]",
				'CELL_HEIGHT' => $config['thumbnail_size'],
				'VIEW_COUNT' => $lang['viewed'] . ' ' . $row['pic_view_count'] . ' ' . $lang['times'])
			);
	if ($current_pic % 3 == 0){
		$template->assign_block_vars('pictures_row', array());
	}
	$current_pic++;
}

if ( ($num_pictures % 3) == 0){
	$empty_cells = 0;
} else {
	$empty_cells = 3 - $num_pictures % 3;
}
while ($empty_cells != 0) {
	$empty_cells --;
	$template->assign_block_vars('pictures_row.picture', array(
				'TITLE' => "&nbsp;" ,			
				'IMG_HTML' => "&nbsp;" ,
				'CELL_CLASS' => "",
				'CELL_HEIGHT' => $config['thumbnail_size'],
				'VIEW_COUNT' => "&nbsp;" )
			);
}



if ( admin_logged_in() ) {
	$template->assign_block_vars('switch_upload_form', array(
				'CAT_ID' => $cat_id,
				'LANG_SENDFILE' => $lang['send_file'])
			);
}

$sql = "SELECT cat_title FROM " . PICTURES_CATEGORIES_TABLE . " WHERE cat_id=".$cat_id;
if( !($result = $db->sql_query($sql)) ) {
	die("Can't query categories table!");
}
$row = $db->sql_fetchrow($result);


$template->set_filenames(array(
			'drawing' => 'drawing_body.html')
		);

$template->assign_vars(array(
			'CAT_TITLE' => $row['cat_title'],
			'LANG_CLICK_TO_ENLARGE' => $lang['click_to_enlarge'],
			'LANG_TITLE' => $lang['title'],
			'LANG_SENFILE' => $lang['send_file'])
		);

require_once($root_path . '/includes/page_header.php');
$template->pparse('drawing');

require_once($root_path . '/includes/page_footer.php');

?>
