<?php
/***************************************************************************
 *                            index.php
 *                            -------------------
 *   copyright            : redgun
 *   email                : _redgun@libero.it
 *   web		  : http://redblog.sf.net
 *
 *    index.php   start 13 marzo 2004
 *
 *
 ***************************************************************************/

/***************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 ***************************************************************************/


define('REDBLOG', true);
$root_path='./';
require_once($root_path . 'common.php');
require_once($root_path . 'includes/functions.php');

/////////////////////////////////////////////////////////////////
//
// Calendar
//

$now = time () + ($config['time_difference'] * 3600);
$month = date ("n", $now);
$year = date ("Y", $now);
$day = date ("j", $now);


$hours = 23;
$minutes = 59;
$seconds = 59;

if ( isset($_GET['month'])) {
	$month = $_GET['month'];
}
if ( isset($_GET['year'])) {
	$year = $_GET['year'];
}
if ( isset($_GET['day'])) {
	$day = $_GET['day'];
} else { $day = date("t",mktime(0, 0, 0, $month,1 ,$year));}

if ( isset($_GET['cat_id']) ) {
	$cat_id = $_GET['cat_id'];
}
else {
	$cat_id="";
}

$timestamp = mktime ($hours, $minutes, $seconds, $month, $day, $year);

$month_current = date("n",$timestamp);
$days_in_month = date("t",$timestamp);

if ( $month != 1 ){
	$back="index.php?year=" .$year. "&amp;month=" .($month-1) ."&amp;cat_id=" .$cat_id;
} else {
	$back="index.php?year=" .($year-1)."&amp;month=12&amp;cat_id=" .$cat_id;
}
if ( $month != 12 ) {
	$forward="index.php?year=" .$year. "&amp;month=" .($month+1). "&amp;cat_id=" .$cat_id;
} else {
	$forward="index.php?year=" .($year+1)."&amp;month=1&amp;cat_id=" .$cat_id;
}

$template->assign_vars(array(
	'MONTH' => parse_months($month_current),
	'YEAR' => $year,
	'BACK' => $back,
	'FORWARD' => $forward,
	'LANG_MON' => $lang['mon'],
	'LANG_TUE' => $lang['tue'],
	'LANG_WED' => $lang['wed'],
	'LANG_THU' => $lang['thu'],
	'LANG_FRI' => $lang['fri'],
	'LANG_SAT' => $lang['sat'],
	'LANG_SUN' => $lang['sun'])
);

$first_day_of_month = date ( "w", mktime(0, 0, 0, $month, 1, $year) ); // First day of the month (numerical) 0 Sunday, 1 Monday ...
if ( $first_day_of_month != 1){
	$template->assign_block_vars('days_row', array() );
}
if ($first_day_of_month == 0) {$first_day_of_month=7;} // Sunday
for ($i=1; $i < $first_day_of_month; $i++){
	$template->assign_block_vars('days_row.days_column', array(
		'NUMBER' => "&nbsp;")
	);
}


for ( $i = 1; $i <= $days_in_month; $i++){
	// If today is monday make a new calendar row
	if (  date ( "w", mktime(0, 0, 0, $month, $i, $year) ) == 1 ) { 
		$template->assign_block_vars('days_row', array() );
	}
	$day_begin = mktime (0 , 0, 0, $month, $i, $year);
	$day_end = mktime (23 , 59, 59, $month, $i, $year);
	$sql = "SELECT * FROM ". POSTS_TABLE . " 
		WHERE post_time < " . $day_end . " 
			AND post_time > " . $day_begin;
	if ( $cat_id != "") {
		$sql .= " AND cat_id=".$cat_id;
	}
	if( !($result = $db->sql_query($sql)) ) {
		die("Can't query posts table!");
	}
	$posts_count_today = $db->sql_numrows();
	if ($posts_count_today > 0){
		$number = '<a href="index.php?year=' .$year. '&amp;month='.$month.'&amp;day='.$i.'&amp;cat_id=' .$cat_id.'">'.$i.'</a>';
	}
	else {
		$number = $i;
	}
	$template->assign_block_vars('days_row.days_column', array(
		'NUMBER' => $number)
	);
}

// spaces in table row
$i = $days_in_month;
while( date ( "w", mktime(0, 0, 0, $month, $i, $year) ) != 0) { // not Sunday
	$template->assign_block_vars('days_row.days_column', array(
		'NUMBER' => "&nbsp;")
	);
	$i++;
}

// Months


// Get first post time
$sql = "SELECT MIN(post_time) as min_time FROM " . POSTS_TABLE;
if( !($result = $db->sql_query($sql)) ) {
	die("Can't query posts table!");
}
$min_time = $db->sql_fetchrow($result);
$now = time();
$month_first_post = date("n", $min_time['min_time']);
$year_first_post = date("Y", $min_time['min_time']);
$month_current = date("n", $now);
$year_current = date("Y", $now);


if ($year < $year_current){
	$byear = $year + 1;
	$template->assign_block_vars('months', array(
		'MONTH' => '<a href="index.php?year='.$byear.'&amp;cat_id='.$cat_id.' ">'.$byear.'</a><br /><br />')
	);
	$year_end = $year;
}

if ( $year == $year_current){
	$begin = $month_current;
}
else {
	$begin = 12;
}
if ($year == $year_first_post) {
	$end = $month_first_post;
}
else {
	$end = 1;
}

for ( $month_counter = $begin; $month_counter >=$end; $month_counter--) {
	$time_begin = mktime(0, 0, 0, $month_counter, 1 , $year);
	$days_in_month = date("t",$time_begin);
	$time_end = mktime (23, 59 ,59, $month_counter, $days_in_month, $year);
	$sql = "SELECT * FROM ". POSTS_TABLE . " 
	WHERE post_time < " . $time_end . " 
		AND post_time > " . $time_begin;
	if( !($result = $db->sql_query($sql)) ) {
		die("Can't query posts table!");
	}
	$num_posts_in_month = $db->sql_numrows();
	if ($num_posts_in_month > 0){
		$out = '<a href="index.php?year=' .$year. '&amp;month='.$month_counter.'&amp;cat_id=' .$cat_id.'">'. parse_months($month_counter) .' '.$year.'</a>';
	}
	else {
		$out = parse_months($month_counter) ." ".$year;
	}
	$template->assign_block_vars('months', array(
		'MONTH' => $out)
	);
}


if ($year > $year_first_post){
	$fyear = $year-1;
	$template->assign_block_vars('months', array(
		'MONTH' => '<br /><a href="index.php?year='.$fyear.'&amp;cat_id='.$cat_id.' ">'.$fyear.'</a>')
	);

}

// End Months


//
// End calendar
//
////////////////////////////////////////////////////////////////

$posts_per_page = $config['posts_per_page'];
if ( isset($_GET['page'])) {
	$page = $_GET['page'];
} else { $page = 0; }

$start = $page * $posts_per_page;

$begin_month = mktime (0, 0, 0, $month, 1, $year);


$sql = "SELECT * FROM ". POSTS_TABLE . " 
		WHERE post_time < " . $timestamp . " 
			AND post_time > " . $begin_month;

if ( $cat_id != "" ) {
	$sql .= " AND cat_id=".$cat_id;
}			

if( !($result = $db->sql_query($sql)) ) {
	die("Can't query posts table! ".$sql);
}


// Paginator
$posts_count = $db->sql_numrows();

$viewer_url = "index.php?month=".$month."&amp;year=".$year."&amp;day=".$day."&amp;cat_id=".$cat_id;

$paginator = paginator($page, $posts_count, $posts_per_page, $viewer_url);

$template->assign_vars(array(
		'PAGINATOR' => $paginator)
	);


///////////////////////////////////////////////////////////////
//
//  Query db to obtain information to create home
//
//


$month_begin = mktime (0 , 0, 0, $month, 1, $year);
$sql = "SELECT * FROM ". POSTS_TABLE . " AS p, ". POSTS_CATEGORIES_TABLE ." AS pc 
		WHERE p.post_time < " . $timestamp . " 
			AND p.post_time > " . $month_begin . " 
			AND p.cat_id = pc.cat_id ";
if ($cat_id != '') {
	$sql .= "AND p.cat_id=".$cat_id." ";
}
$sql .="ORDER BY p.post_time DESC 
		LIMIT " . $start . ", " . $posts_per_page;

if( !($result = $db->sql_query($sql)) ) {
	die("Can't query posts table!");
}

// If in this month I don't have necessary posts to fill a page I consider previus months
if ($db->sql_numrows() < $posts_per_page) {
	$sql = "SELECT * FROM ". POSTS_TABLE . " AS p, ". POSTS_CATEGORIES_TABLE ." AS pc  
		WHERE post_time < " . $timestamp . " 
			AND p.cat_id = pc.cat_id ";
	if ($cat_id != '') {
		$sql .= "AND p.cat_id=".$cat_id." ";
	}
	$sql .= "ORDER BY post_time DESC 
		LIMIT " . $start . ", " . $posts_per_page;

	if( !($result = $db->sql_query($sql)) ) {
		die("Can't query posts table");
	}
}

$posts=array();
$i=0;
while ( $row = $db->sql_fetchrow($result) ) {
	$posts[$i]['post_id'] = $row['post_id'];
	$posts[$i]['post_title'] = $row['post_title'];
	$posts[$i]['post_text'] = $row['post_text'];
	$posts[$i]['post_time'] = $row['post_time'];
	$posts[$i]['post_modify_time'] = $row['post_modify_time'];
	$posts[$i]['post_comments'] = $row['post_comments'];
	$posts[$i]['cat_title'] = $row['cat_title'];
	$posts[$i]['cat_id'] = $row['cat_id'];
	
	$i++;
}


for ($i=0; $i < count($posts); $i++) {
	
	$posts[$i]['post_text'] = parse_all( $posts[$i]['post_text'] );	
	
	if ( admin_logged_in() ) {	
		$link = "<a href=mod.php?id=" . $posts[$i]['post_id'] ."&amp;mode=edit>Edit</a>";
		$link .= "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href=mod.php?id=" . $posts[$i]['post_id'] ."&amp;mode=delete>Delete</a>&nbsp;&nbsp;";
	} else { $link=""; }
	
	$cat_link = "<a href=\"index.php?cat_id=" . $posts[$i]['cat_id']. "\">" . $posts[$i]['cat_title'] . "</a>";
	
	$template->assign_block_vars('posts', array(
		'TITLE' => $posts[$i]['post_title'],
		'TEXT' => $posts[$i]['post_text'],
		'POST_TIME' => date($config['date_format'], $posts[$i]['post_time']),
		'MODIFY_TIME' => $posts[$i]['post_modify_time'],
		'MODERATOR' => $link,
		'COMMENTS' => $posts[$i]['post_comments'],
		'CAT_LINK' => $cat_link,
		'ID' => $posts[$i]['post_id'])
	);	
}



//
//
//  End Query db to obtain information to create home
//
///////////////////////////////////////////////////////////////



// Category selector
$sql = "SELECT * FROM ". POSTS_CATEGORIES_TABLE;
if( !($result = $db->sql_query($sql)) ) {
	die("Can't query  posts categories table!");
}
while ( $row = $db->sql_fetchrow($result) ) {
	if ( $row['cat_id'] == $cat_id ){
		$selected="selected";
	}
	else {
		$selected="";
	}
	$template->assign_block_vars('posts_categories', array(
			'SELECTED' => $selected,
			'CAT_TITLE' => $row['cat_title'],
			'CAT_ID' => $row['cat_id'] )
	);
}

// Let's go generate out

require_once($root_path . '/includes/page_header.php');

$template->set_filenames(array(
	'body' => 'index_body.html')
);

$template->assign_vars(array(
	'INSERTED' => $lang['inserted'],
	'LANG_COMMENTS' => $lang['comments'],
	'LANG_CATEGORY' => $lang['category'],
	'LANG_ALL' => $lang['all'],
	'LANG_GO' => $lang['go'],
	'LANG_ARCHIVE' => $lang['archive'])
);

$template->pparse('body');


require_once($root_path . '/includes/page_footer.php');

?>
