<?php


/***************************************************************************
 *                            mod_comments.php
 *                            -------------------
 *   copyright            : redgun
 *   email                : _redgun@libero.it
 *   web		  : http://redblog.sf.net
 *
 *   mod_comments.php   start 17 August 2004
 *
 *
 ***************************************************************************/

/***************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 ***************************************************************************/

define('REDBLOG', true);
$root_path='./';
require_once($root_path . 'common.php');
require_once($root_path . 'includes/functions.php');

if ( !admin_logged_in() ) {
	header("Location:  http://".$_SERVER['HTTP_HOST'].dirname($_SERVER['PHP_SELF'])."/admin/");
	exit;
}

if ( isset($_GET['id']) ) {
	$id = $_GET['id'];
}
if ( isset($_GET['mode']) ){
	$mode = $_GET['mode'];
}

$cookie_expire = time() + 31536000; // one year!



if ( $mode == 'edit' ) {
	$sql = "SELECT * FROM " . COMMENTS_TABLE . " WHERE comment_id=" . $id;
	if( !($result = $db->sql_query($sql)) ) {
		die("Can't query comment information!");
	}
	$comment = $db->sql_fetchrow($result);
	$template->assign_vars( array (
				'COMMENT_TITLE' => $comment['comment_title'],					
				'TEXT' => $comment['comment_text'],	
				'POSTER_NAME' => $comment['poster_name'],
				'POSTER_EMAIL' => $comment['poster_email'],
				'POSTER_WEBSITE' => $comment['poster_website'],				
				'COMMENT_ID' => $id) 
			);
	require_once($root_path . 'includes/smiles.php');
	$template->set_filenames(array(
				'mod' => 'mod_comment_body.html')
			);
	$template->assign_vars(array(
				'LANG_NAME' => $lang['name'],
				'LANG_TITLE' => $lang['title'],
				'LANG_TEXT' => $lang['text'],
				'LANG_SUBMIT' => $lang['submit'],
				'LANG_WEBSITE' => $lang['web_site'])
			);
	$template->pparse('mod');

}


else if ( $mode == 'delete') {
	if ( ! isset($_GET['confirm']) ) {	
		require_once($root_path . '/includes/page_header.php');
		$template->set_filenames (array(
					'notice' =>'notice_body.html')
				);
		$link = "<a href=\"".$root_path."mod_comments.php?id=". $id."&amp;mode=".$mode."&amp;confirm=true\">".$lang['confirm']."</a>";				
		$notice = $lang['comment_delete_confirmation'];
		$back = "comments.php";					
		$link .="&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href=\"".$root_path.$back."\">".$lang['go_back']."</a>";
		$template->assign_vars(array(
					'NOTICE' => $notice,
					'LINK' => $link)
				);
		$template->pparse('notice');
		require_once($root_path . '/includes/page_footer.php');

	}
	else if  ( $_GET['confirm'] == 'true' ) {
		$sql = "SELECT post_id FROM " . COMMENTS_TABLE . " WHERE comment_id=" . $id;
		if( !($result = $db->sql_query($sql)) ) {
			die("Can't query comments table!");
		}					
		$row = $db->sql_fetchrow($result);	
		$post_id = $row['post_id'];					
		// update comments count into posts table
		$sql = "SELECT post_comments FROM " . POSTS_TABLE . " WHERE post_id=" . $post_id;
		if( !($result = $db->sql_query($sql)) ) {						
			die("Can't update posts information! [mod] <br/>".$sql);
		}
		$row = $db->sql_fetchrow($result);
		$num_comments = $row['post_comments'];
		$num_comments--;
		$sql = "UPDATE " . POSTS_TABLE. " SET post_comments= '$num_comments' WHERE post_id = '$post_id'";
		if( !($result = $db->sql_query($sql)) ) {
			die("Can't update posts information 3");
		}
		$sql = "DELETE FROM " . COMMENTS_TABLE . " WHERE comment_id=" . $id;
		if( !($result = $db->sql_query($sql)) ) {
			die("Can't delete comment!");
		}
		header("Location:  http://".$_SERVER['HTTP_HOST'].dirname($_SERVER['PHP_SELF'])."/comments.php?id=".$post_id);
		exit;
	}
}

else { // Update
	if ( isset( $_POST['title'] ) && isset( $_POST['nome'] ) && isset( $_POST['website'] ) && isset( $_POST['email'] ) && isset( $_POST['message'] ) && isset( $_POST['comment_id'] ) ) {
		$comment_title = htmlentities ( $_POST['title'] );
		$comment_text = htmlentities ( $_POST['message'] );
		$poster_website = htmlentities ( $_POST['website'] );
		$poster_name = htmlentities ( $_POST['nome'] );
		$poster_email = htmlentities ( $_POST['email'] );			
		$comment_id = $_POST['comment_id'];
		$sql = "UPDATE ". COMMENTS_TABLE . " 
			SET comment_title='" . $comment_title . "', 
		comment_text='" . $comment_text . "',
		poster_website='" . $poster_website. "',
		poster_name='" . $poster_name. "',
		poster_email='" . $poster_email. "' 
			WHERE comment_id=" . $comment_id;			
			if( !($result = $db->sql_query($sql)) ) {
				die("Can't update comment!<br/> ".$sql);
			}
		$sql = "SELECT post_id FROM " . COMMENTS_TABLE . " WHERE comment_id=" . $comment_id;
		if( !($result = $db->sql_query($sql)) ) {
			die("Can't query comments table!".$sql);
		}					
		$row = $db->sql_fetchrow($result);					
		$post_id = $row['post_id'];		
		header("Location:  http://".$_SERVER['HTTP_HOST'].dirname($_SERVER['PHP_SELF'])."/comments.php?id=".$post_id);
		exit;
	}
}


?>
