<?php
/***************************************************************************
 *                            mod_drawing.php
 *                            -------------------
 *   copyright            : redgun
 *   email                : _redgun@libero.it
 *   web		  : http://redblog.sourceforge.net
 *
 *   mod_drawing.php   start 17 August 2004
 *
 *
 ***************************************************************************/

/***************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 ***************************************************************************/

define('REDBLOG', true);
$root_path='./';
require_once($root_path . 'common.php');
require_once($root_path . 'includes/functions.php');

$pic_path='pictures/';
$thumb_path = $pic_path . 'thumb/';


if ( !admin_logged_in() ) {
	header("Location:  http://".$_SERVER['HTTP_HOST'].dirname($_SERVER['PHP_SELF'])."/admin/");
	exit;
}
if ( isset ( $_GET['cat_id'] ) ){
	$cat_id = $_GET['cat_id'];
}
// Photo loading
if ( isset($_POST['title']) && isset($_FILES['file']) ) {
	$file_name = $_FILES['file']['name'];
	$file_size = $_FILES['file']['size'];
	$mime_type = $_FILES['file']['type'];
	$title = $_POST['title'];
	$now = time() + ($config['time_difference'] * 3600);

	switch ($mime_type)
	{
		case 'image/jpeg':
		case 'image/jpg':
		case 'image/pjpeg':			
			$pic_filetype = '.jpg';
			break;
		case 'image/png':
		case 'image/x-png':			
			$pic_filetype = '.png';
			break;
		case 'image/gif':			
			$pic_filetype = '.gif';
			break;
		default:
			die("This is a non supported file type!");
	}	
	$stored_filename = $now . $pic_filetype;
	if ( ! move_uploaded_file($_FILES['file']['tmp_name'], $pic_path . $stored_filename) ) {
		die ("Can't store file! ". $pic_path.$stored_filename);
	}
	else {
		// photo was loading correctly. Let's go to update database
		$sql = "INSERT INTO " .  PICTURES_TABLE . " VALUES ('', '$title', $now, 0, '$stored_filename', 0, $cat_id) ";
		if( !($result = $db->sql_query($sql)) ) {
			die("Can't update pictures table! ".$sql);
		}

		$pic_size = getimagesize($pic_path . $stored_filename);
		$pic_width = $pic_size[0];
		$pic_height = $pic_size[1];
		switch ($pic_filetype)
		{
			case '.jpg':
				$read_function = 'imagecreatefromjpeg';				
				break;
			case '.png':
				$read_function = 'imagecreatefrompng';
				break;
			case '.gif':
				$read_function = 'imagecreatefromgif';
				break;
		}
		$img= @$read_function($pic_path  . $stored_filename);		
		if (! $img ) {
			die("Can't read file to create a thumbnail");
		}		
		if( ($pic_width > $config['thumbnail_size']) || ($pic_height > $config['thumbnail_size']) ){
			if ($pic_width > $pic_height)
			{
				$thumbnail_width = $config['thumbnail_size'];
				$thumbnail_height = $config['thumbnail_size'] * ($pic_height/$pic_width);
			}
			else
			{
				$thumbnail_height = $config['thumbnail_size'];
				$thumbnail_width = $config['thumbnail_size'] * ($pic_width/$pic_height);
			}
			$thumbnail = @imagecreatetruecolor($thumbnail_width, $thumbnail_height);
			@imagecopyresampled($thumbnail, $img, 0, 0, 0, 0, $thumbnail_width, $thumbnail_height, $pic_width, $pic_height);
		}
		else	{
			$thumbnail = $img;
		}

		// Write to disk
		switch ($pic_filetype)
		{
			case '.jpg':
				@imagejpeg($thumbnail, $thumb_path . $stored_filename, $config['thumbnail_quality']);	
				break;
			case '.png':
				@imagepng($thumbnail, $thumb_path . $stored_filename);
				break;
			case '.gif':
				@imagegif($thumbnail, $thumb_path . $stored_filename);
				break;
		}

		//Update files count in category
		$sql = "SELECT cat_files_count FROM " . PICTURES_CATEGORIES_TABLE . " WHERE cat_id=" . $cat_id;
		if( !($result = $db->sql_query($sql)) ) {
			die("Can't query categories table! ".$sql);
		}
		$row = $db->sql_fetchrow($result);
		$cat_files_count = $row['cat_files_count'];
		$cat_files_count++;
		$sql = "UPDATE " . PICTURES_CATEGORIES_TABLE . " SET cat_files_count='".$cat_files_count."' WHERE cat_id=".$cat_id;
		if( !($result = $db->sql_query($sql)) ) {
			die("Can't query categories table! ".$sql);
		}

		header("Location:  http://".$_SERVER['HTTP_HOST'].dirname($_SERVER['PHP_SELF'])."/drawing.php?cat_id=".$cat_id);
		exit;
	}
}
// End of uploading picture


// picture delete
if  ( isset ($_GET['pic_id']) ){
	$pic_id = $_GET['pic_id'];
	if ( ! isset($_GET['confirm']) ) {	
		require_once($root_path . '/includes/page_header.php');
		$template->set_filenames (array(
					'notice' =>'notice_body.html')
				);
		$link = "<a href=\"".$root_path."mod_drawing.php?pic_id=". $pic_id."&amp;confirm=true&amp;cat_id=".$cat_id."\">".$lang['confirm']."</a>";
		$link .="&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href=\"".$root_path."drawing.php?cat_id=".$cat_id."\">".$lang['go_back']."</a>";
		$template->assign_vars(array(
					'NOTICE' => $lang['picture_delete_confirmation'],
					'LINK' => $link)
				);
		$template->pparse('notice');
		require_once($root_path . '/includes/page_footer.php');		
	}
	else {
		$sql = "SELECT * FROM " . PICTURES_TABLE . " WHERE pic_id=". $pic_id;
		if( !($result = $db->sql_query($sql)) ) {
			die("Can't query pictures table");
		}	
		$row = $db->sql_fetchrow($result);
		$filename = $row['pic_filename'];		
		if ( !unlink($thumb_path . $filename) ){
			die ("Can't delete picture thumbnail!");
		}
		if ( !unlink($pic_path . $filename) ){
			die ("Can't delete picture");
		}
		$row = $db->sql_fetchrow($result);
		$sql = "DELETE FROM " . PICTURES_TABLE . " WHERE pic_id=" . $pic_id;
		if( !($result = $db->sql_query($sql)) ) {
			die("Can't delete picture informations from database!". $sql);
		}	
		$sql = "DELETE FROM " . PICTURE_COMMENTS_TABLE . " WHERE pic_id=" . $pic_id;
		if( !($result = $db->sql_query($sql)) ) {
			die("Can't delete picture's comments informations from database!" .$sql);
		}	

		//Updates files count into category
		$sql = "SELECT cat_files_count FROM " . PICTURES_CATEGORIES_TABLE . " WHERE cat_id=".$cat_id;
		if( !($result = $db->sql_query($sql)) ) {
			die("Can't query category table ".$sql);
		}
		$row = $db->sql_fetchrow($result);
		$cat_files_count = $row['cat_files_count'];
		$cat_files_count--;
		$sql = "UPDATE " . PICTURES_CATEGORIES_TABLE . " SET cat_files_count='".$cat_files_count."' WHERE cat_id=".$cat_id;
		if( !($result = $db->sql_query($sql)) ) {
			die("Can't update category table ".$sql);
		}
		header("Location:  http://".$_SERVER['HTTP_HOST'].dirname($_SERVER['PHP_SELF'])."/drawing.php?cat_id=".$cat_id);
		exit;
	}
}
// End picture delete

?>
