<?php
/***************************************************************************
 *                            mod_files.php
 *                            -------------------
 *   copyright            : redgun
 *   email                  : _redgun@libero.it
 *   web			: http://redblog.sourceforge.net
 *
 *   mod_files.php   start 13 marzo 2004
 *
 *
 ***************************************************************************/

/***************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 ***************************************************************************/

define('REDBLOG', true);
$root_path='./';
require_once($root_path . 'common.php');
require_once($root_path . 'includes/functions.php');


function ftp_filesize ( $file ) {
	global $config;
	
	$destination_file = $config['redblog_home_path'] ."/". $file;

	$ftp_server = $config['ftp_server'];
	$ftp_user_name = $config['ftp_user'];
	$ftp_user_pass = $config['ftp_password'];

	$conn_id = ftp_connect($ftp_server); 

	$login_result = ftp_login($conn_id, $ftp_user_name, $ftp_user_pass); 

	if ((!$conn_id) || (!$login_result)) { 
        	die ("Ftp connection failed!"); 
	}

	$filesize = ftp_size ($conn_id, $destination_file);	
	
	ftp_quit($conn_id);
	
	return $filesize;
}



function ftp_upload ( $file, $destination, $mimetype ) {
	global $config;

	$source_file = $file;
	$destination_file = $config['redblog_home_path'] ."/". $destination;

	$ftp_server = $config['ftp_server'];
	$ftp_user_name = $config['ftp_user'];
	$ftp_user_pass = $config['ftp_password'];

	$conn_id = ftp_connect($ftp_server); 

	$login_result = ftp_login($conn_id, $ftp_user_name, $ftp_user_pass); 

	if ((!$conn_id) || (!$login_result)) { 
        	die ("Ftp connection failed!"); 
	}

	//
	// Binary or Ascii ?
	//
	$mode = FTP_BINARY;
	if ( (preg_match("/text/i", $mimetype)) || (preg_match("/html/i", $mimetype)) )
	{
		$mode = FTP_ASCII;
	}
	

	$upload = ftp_put($conn_id, $destination_file, $source_file, $mode); 

	ftp_quit($conn_id);
	
	return $upload;
}



if ( isset($_GET['cat_id']) ){
	$cat_id = $_GET['cat_id'];
}

if ( !admin_logged_in() ) {
	header("Location:  http://".$_SERVER['HTTP_HOST'].dirname($_SERVER['PHP_SELF'])."/admin/");
	exit;
} else {
	if (isset( $_POST['file_desc']) && isset($_POST['file_id']) ){
		// modify file description
		$file_desc = $_POST['file_desc'];
		$file_id = $_POST['file_id'];
		$sql = "UPDATE " . FILES_TABLE . " SET file_desc='". $file_desc ."' WHERE file_id=" .$file_id;
		if( !($result = $db->sql_query($sql)) ) {
			die("Can't update files information ".$sql);
		}
		header("Location:  http://".$_SERVER['HTTP_HOST'].dirname($_SERVER['PHP_SELF'])."/download.php?cat_id=".$cat_id);
		exit;
	}	

	if ( isset($_GET['mode']) && isset($_GET['id']) ) {
		$mode = $_GET['mode'];
		$file_id = $_GET['id'];
		if ( $mode=='edit' ){
			$sql = "SELECT file_desc FROM " . FILES_TABLE . " WHERE file_id=".$file_id ;
			if( !($result = $db->sql_query($sql)) ) {
				die("Can't query files table ");
			}
			$row = $db->sql_fetchrow($result);
			require_once($root_path . '/includes/page_header.php');
			
			$template->assign_vars(array(
				'FILE_DESC' => $row['file_desc'],
				'CAT_ID' => $cat_id,
				'FILE_ID' => $file_id)
			);
			
			$template->set_filenames(array(
				'file_edit' => 'file_edit_body.html')
			);
			$template->assign_vars(array(
				'LANG_SUBMIT' => $lang['submit'],
				'LANG_DESCRIPTION' => $lang['description'],
				'LANG_GOBACK' => $lang['go_back'])
			);
			$template->pparse('file_edit');

			require_once($root_path . '/includes/page_footer.php');
		} // mode=edit
		else if ( $mode=='delete' ){
			if (!isset($_GET['confirm'])) {
				require_once($root_path . '/includes/page_header.php');
				$template->set_filenames (array(
					'notice' =>'notice_body.html')
				);
				$link = "<a href=\"".$root_path."mod_files.php?id=". $file_id."&amp;mode=".$mode."&amp;confirm=true&amp;cat_id=".$cat_id."\">".$lang['confirm']."</a>";				
				
				$notice = $lang['file_delete_confirmation'];
				$back = "download.php";
				
				$link .="&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href=\"".$root_path.$back."?&amp;cat_id=".$cat_id."\">".$lang['go_back']."</a>";
				$template->assign_vars(array(
					'NOTICE' => $notice,
					'LINK' => $link)
				);
				$template->pparse('notice');
				require_once($root_path . '/includes/page_footer.php');
			}
			else {
				// can delete file
				$sql = "SELECT * FROM " . FILES_TABLE ." WHERE file_id=" . $file_id;
				if( !($result = $db->sql_query($sql)) ) {
					die("Can't query files table");
				}	
				$row = $db->sql_fetchrow($result);				
				// Rember that file name is the time when you upload it
				$filename = $row['upload_time'];
				$upload_dir="files/";
				if ( !unlink($upload_dir . $filename) ){
					die ("Can't delete file!");
				}
				$sql = "DELETE FROM " . FILES_TABLE . " WHERE file_id=" . $file_id;
				if( !($result = $db->sql_query($sql)) ) {
					die("Can't delete file information from db ");
				}
				//Update files count into category
				$sql = "SELECT cat_files_count FROM " . FILES_CATEGORIES_TABLE . " WHERE cat_id=".$cat_id;
				if( !($result = $db->sql_query($sql)) ) {
					die("Can't query categories information ".$sql);
				}
				$row = $db->sql_fetchrow($result);
				$cat_files_count = $row['cat_files_count'];
				$cat_files_count--;
				$sql = "UPDATE " . FILES_CATEGORIES_TABLE . " SET cat_files_count='".$cat_files_count."' WHERE cat_id=".$cat_id;
				if( !($result = $db->sql_query($sql)) ) {
					die("Can't update categories information ".$sql);
				}
				
				header("Location:  http://".$_SERVER['HTTP_HOST'].dirname($_SERVER['PHP_SELF'])."/download.php?cat_id=".$cat_id);
				exit;
			}
		}
	}
	else if ( isset( $_POST['file_desc'] ) && ( isset ( $_FILES['file']) || isset ($_POST['file']) ) && isset($_POST['cat_id']) ) {
		$cat_id = $_POST['cat_id'];
	
		$file_desc = htmlentities ($_POST['file_desc']);
		//
		// File name will be current time for univocity
		// Real neme will be stored into database and will be restored at download time
		if ( isset ($_FILES['file']) ) {
			$file_name = $_FILES['file']['name'];
			$file_size = $_FILES['file']['size'];
			$mime_type = $_FILES['file']['type'];
		}
		$upload_dir = "files/";
		$now = time() + ($config['time_difference'] * 3600);

		if ( $config['allow_ftp'] ) {
			$file_name = basename($_POST['file']);
			//$mime_type = mime_content_type ($file_name);
			$upload_ok = ftp_upload($_POST['file'], $upload_dir . $now, $mime_type);
			$file_size = ftp_filesize ($upload_dir . $now);	
			// TODO: Get filesize from ftp
			$file_size = 0;
		}
		else {
			$upload_ok = move_uploaded_file($_FILES['file']['tmp_name'], $upload_dir . $now); 
		}
		if ( $upload_ok ) { 
			// you have uploaded the file. Let's go to update db
			$sql = "INSERT INTO " .  FILES_TABLE . " VALUES ('', '$file_name', 0, $file_size, $now, '$file_desc', '$mime_type', $cat_id) ";
			if( !($result = $db->sql_query($sql)) ) {
				die("Can't update files information! ".$sql);
			}
			//Update category's files count
			$sql = "SELECT cat_files_count FROM " . FILES_CATEGORIES_TABLE . " WHERE cat_id=" . $cat_id;
			if( !($result = $db->sql_query($sql)) ) {
				die("Can't query category information ".$sql);
			}
			$row = $db->sql_fetchrow($result);
			$cat_files_count = $row['cat_files_count'];
			$cat_files_count++;
			$sql = "UPDATE " . FILES_CATEGORIES_TABLE . " SET cat_files_count='".$cat_files_count."' WHERE cat_id=".$cat_id;
			if( !($result = $db->sql_query($sql)) ) {
				die("Can't query categories information ".$sql);
			}
			
			header("Location:  http://".$_SERVER['HTTP_HOST'].dirname($_SERVER['PHP_SELF'])."/download.php?cat_id=".$cat_id);
			exit;
		}
	}
}

?>
