<?php
/***************************************************************************
 *                            mod_files_cat.php
 *                            -------------------
 *   copyright            : redgun
 *   email                  : _redgun@libero.it
 *   web			: http://redgun.altervista.org
 *
 *   mod_files.php   start 17 aprile 2004
 *
 *   ultima modifica 17 aprile 2004
 *
 ***************************************************************************/

/***************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 ***************************************************************************/

define('REDBLOG', true);
$root_path='./';
require_once($root_path . 'common.php');
require_once($root_path . 'includes/functions.php');

if ( !admin_logged_in() ) {
	header("Location:  http://".$_SERVER['HTTP_HOST'].dirname($_SERVER['PHP_SELF'])."/admin/");
	exit;
}


// If there is a new category isert into database
if ( isset($_POST['title']) && isset($_POST['message']) ) {	
	$title = $_POST['title'];
	$desc = $_POST['message'];
	$sql = "INSERT INTO " . FILES_CATEGORIES_TABLE ." VALUES ('', '$title', '$desc', 0)";
	if( !($result = $db->sql_query($sql)) ) {
		die("Can't update categories information ".$sql);
	}
	header("Location:  http://".$_SERVER['HTTP_HOST'].dirname($_SERVER['PHP_SELF'])."/view_files_cat.php");
	exit;
}

if ( isset ( $_GET['mode'] ) && isset ( $_GET['cat_id'] ) ) {
	$mode = $_GET['mode'];
	$cat_id = $_GET['cat_id'];
	if ( $mode == 'delete' ) {
		// If the category is not empty throw an error message
		$sql = "SELECT cat_files_count FROM " . FILES_CATEGORIES_TABLE . " WHERE cat_id=".$cat_id;
		if( !($result = $db->sql_query($sql)) ) {
			die("Can't query categories table");
		}
		$row = $db->sql_fetchrow($result);
		$cat_files_count = $row['cat_files_count'];
		if ( $cat_files_count > 0 ) {
			// ERROR: Can't delete a not empty category
			require_once($root_path . '/includes/page_header.php');
			$template->set_filenames (array(
				'notice' =>'notice_body.html')
			);
			$notice = $lang['not_empty_cat_error'];
			$back = "view_files_cat.php";				
			$link ="<a href=\"".$root_path.$back."\">".$lang['go_back']."</a>";
			$template->assign_vars(array(
				'NOTICE' => $notice,
				'LINK' => $link)
			);
			$template->pparse('notice');
			require_once($root_path . '/includes/page_footer.php');
		}		
		else if (!isset($_GET['confirm'])) {
			require_once($root_path . '/includes/page_header.php');
			$template->set_filenames (array(
				'notice' =>'notice_body.html')
			);
			$link = "<a href=\"".$root_path."mod_files_cat.php?cat_id=". $cat_id."&amp;mode=".$mode."&amp;confirm=true\">".$lang['confirm']."</a>";				
			
			$notice = $lang['category_delete_confirmation'];
			$back = "view_files_cat.php";
			
			$link .="&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href=\"".$root_path.$back."\">".$lang['go_back']."</a>";
			$template->assign_vars(array(
				'NOTICE' => $notice,
				'LINK' => $link)
			);
			$template->pparse('notice');
			require_once($root_path . '/includes/page_footer.php');
		}
		else {
			
			$sql = "DELETE FROM " . FILES_CATEGORIES_TABLE . " WHERE cat_id=".$cat_id;
			if( !($result = $db->sql_query($sql)) ) {
				die("Can't update categories table");
			}
			header("Location:  http://".$_SERVER['HTTP_HOST'].dirname($_SERVER['PHP_SELF'])."/view_files_cat.php");
			exit;			
		}
	}
	else if ( $mode == 'edit' ) {
		if ( isset ($_POST['cat_title']) && isset ($_POST['message']) ) {
			// db update
			$cat_desc = $_POST['message'];
			$cat_title = $_POST['cat_title'];
			$sql = "UPDATE " . FILES_CATEGORIES_TABLE . " SET cat_desc='". $cat_desc ."', cat_title='". $cat_title ."' WHERE cat_id=" .$cat_id;
			if( !($result = $db->sql_query($sql)) ) {
				die("Can't update categories information ".$sql);
			}
			header("Location:  http://".$_SERVER['HTTP_HOST'].dirname($_SERVER['PHP_SELF'])."/view_files_cat.php");
			exit;
		}
		else {
			//make the interface
			$sql = "SELECT cat_title, cat_desc FROM " . FILES_CATEGORIES_TABLE . " WHERE cat_id=".$cat_id ;
			if( !($result = $db->sql_query($sql)) ) {
				die("Can't queey categories table ");
			}
			$row = $db->sql_fetchrow($result);
			require_once($root_path . '/includes/page_header.php');
			
			$template->assign_vars(array(
				'MODERATOR' => "mod_files_cat",
				'VIEWER' => "view_files_cat",
				'CAT_TITLE' => $row['cat_title'],
				'CAT_DESC' => $row['cat_desc'],
				'CAT_ID' => $cat_id)
			);
			
			require_once($root_path . 'includes/smiles.php');
			
			$template->set_filenames(array(
				'cat_edit' => 'cat_edit_body.html')
			);
			$template->assign_vars(array(
				'LANG_GOBACK' => $lang['go_back'],
				'LANG_TITLE' => $lang['title'],
				'LANG_DESCRIPTION' => $lang['description'],
				'LANG_SUBMIT' => $lang['submit'])
			);
			$template->pparse('cat_edit');

			require_once($root_path . '/includes/page_footer.php');
		}
	}
}


?>
