<?php
/***************************************************************************
 *                            view_files_cat.php
 *                            -------------------
 *   copyright            : redgun
 *   email                  : _redgun@libero.it
 *   web			: http://redgun.altervista.org
 *
 *   view_files_cat.php start 15 aprile 2004
 *
 *   ultima modifica 17 aprile 2004
 *
 ***************************************************************************/

/***************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 ***************************************************************************/

define('REDBLOG', true);
$root_path='./';
require_once($root_path . 'common.php');
require_once($root_path . 'includes/functions.php');



$sql = 'SELECT * FROM ' . FILES_CATEGORIES_TABLE;
if( !($result = $db->sql_query($sql)) ) {
	die("Can't query categories table");
}

$admin_logged_in = admin_logged_in();

while ( $row = $db->sql_fetchrow($result) ) {
	$download_link = 'download.php?cat_id='.$row['cat_id'];
	
	$template->assign_block_vars('file_cat', array(			
			'FILE_COUNT' => $row['cat_files_count'],
			'CAT_DESC' => parse_all($row['cat_desc']),
			'DOWNLOAD_LINK' => $download_link,
			'CAT_TITLE' => $row['cat_title'])
		);
	
	if ( $admin_logged_in ) {	
		$cat_edit_link = '<a href="mod_files_cat.php?cat_id='.$row['cat_id'].'&amp;mode=edit">Edit</a>';
		$cat_delete_link = '<a href="mod_files_cat.php?cat_id='.$row['cat_id'].'&amp;mode=delete">Delete</a>';
		$template->assign_block_vars('file_cat.switch_admin_menu', array(
			'EDIT_LINK' => $cat_edit_link,
			'DELETE_LINK' => $cat_delete_link )
		);
	}
}
if ( $admin_logged_in ) {
	$template->assign_block_vars( 'switch_newcat_form', array() );
	$base_block= 'switch_newcat_form.'; // thie variable is used in smiles.php
	require_once($root_path . 'includes/smiles.php');
}


require_once($root_path . '/includes/page_header.php');
$template->set_filenames(array(
	'files_cat' => 'files_cat_body.html')
);

$template->assign_vars(array(
	'LANG_FILES_CAT' => $lang['files_cat'],
	'LANG_FILES_IN_CAT' => $lang['files_in_cat'],
	'LANG_TITLE' => $lang['title'],
	'LANG_ADD_CATEGORY' => $lang['add_category'],
	'LANG_DESCRIPTION' => $lang['description'],
	'LANG_SUBMIT' => $lang['submit'])
);

$template->pparse('files_cat');

require_once($root_path . '/includes/page_footer.php');

?>
